/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.commerce.common;

import com.adobe.cq.commerce.api.CommerceFacetValue;

/**
 * Default implementation for {@code CommerceFacetValue}.
 *
 * @see CommerceFacetValue
 */
public class DefaultCommerceFacetValue implements CommerceFacetValue, Comparable<DefaultCommerceFacetValue> {

    private String id;
    private String displayName;
    private int productCount;
    private boolean selected;

    /**
     * {@inheritDoc}
     */
    public String getId() {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    public String getDisplayName() {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    public int getProductCount() {
		return 0;
	}

    /**
     * {@inheritDoc}
     */
    public boolean isSelected() {
		return false;
	}

    public void setId(String id) {
	}

    public void setDisplayName(String displayName) {
	}

    public void setProductCount(int productCount) {
	}

    public void setSelected(boolean selected) {
	}

    /**
     * {@inheritDoc}
     */
    public int compareTo(DefaultCommerceFacetValue that) {
		return 0;
	}
}
