/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 *************************************************************************/

package com.adobe.cq.social.blog;

/**
 * Used to filter blog entries by tags.
 */
public class TagEntryFilter implements BlogEntryFilter {

    private final String tagPath;

    /**
     * Creates a <code>TagEntryFilter</code> using the specified tag path.
     * @param path The tag path
     */
    public TagEntryFilter(final String path) {
        tagPath = path;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public boolean pass(final BlogEntry entry) {
		return false;
	}
}