/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.commons;

import org.apache.felix.scr.annotations.Component;

/**
 * The <code>AbstractSessionServlet</code> provides the basic facilities for getting or creating session based on a
 * request. Implementations may vary on the properties persisted and request handling.
 * @since CQ 5.6.0
 */
@Component(metatype = false, componentAbstract = true)
public abstract class AbstractSessionServlet extends com.adobe.cq.social.ugcbase.AbstractSessionServlet {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;
}
