/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.commons.client.api;

import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Reference;
import org.apache.felix.scr.annotations.Service;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.resource.Resource;

import com.adobe.cq.social.commons.client.impl.UserImpl;
import com.adobe.cq.social.scoring.api.ScoringService;
import com.adobe.granite.security.user.UserPropertiesManager;

@Component(label = "AEM Social Communities UserSocialComponentFactory")
@Service
public class UserSocialComponentFactory extends AbstractSocialComponentFactory implements SocialComponentFactory {

    @Reference
    private ScoringService scoring;

    @Override
    public SocialComponent getSocialComponent(final Resource resource) {
		return null;
	}

    @Override
    public SocialComponent getSocialComponent(final Resource resource, final SlingHttpServletRequest request) {
		return null;
	}

    @Override
    public SocialComponent getSocialComponent(final Resource resource, final ClientUtilities clientUtils,
        final QueryRequestInfo requestInfo) {
			return null;
		}

    /**
     * @param resource a resource get the resource resolver from
     * @return an instance of the {@link UserPropertiesManager}
     */
    protected UserPropertiesManager getUserPropertiesManager(final Resource resource) {
		return null;
	}

    @Override
    public String getSupportedResourceType() {
		return null;
	}
    
    
    /**
     * @return an instance of {@link ScoringService}
     */
    protected ScoringService getScoringService() {
		return null;
	}

}
