/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.forum.api;

import com.adobe.cq.social.commons.client.api.User;
import com.adobe.granite.security.user.UserProperties;
import com.day.cq.security.profile.Profile;

/**
 * <code>ForumUser</code>...
  * @deprecated @since AEM 6.0. Use {@link User} instead.
 */
@Deprecated
public interface ForumUser {

    /**
     * The node name of forum data in a user's profile.
     */
    static final String NN_PROFILE_FORUM = "forum";

    /**
     * The property name for the number of posts for this user in its profile.
     */
    static final String PN_PROFILE_NUMBEROFPOSTS = "numberOfPosts";

    /**
     * Returns the full name of the user or its user ID if no name is stored.
     * @return A <code>String</code> representing the name of the user.
     */
    String getFullName() {
		return null;
	}

    /**
     * Get the actual user id of the user.
     * @return The user id.
     */
    String getUserID() {
		return null;
	}

    /**
     * Return the number of posts this user has created.
     * @return The number of users.
     */
    int getNumberOfPosts() {
		return 0;
	}

    /**
     * Returns the location of the user, e.g. city or place, as entered in the user profile.
     * @return The location.
     */
    String getLocation() {
		return null;
	}

    /**
     * Returns the country of the user as entered in the user profile.
     * @return The country.
     */
    String getCountry() {
		return null;
	}

    /**
     * Returns the full location of the user, i.e. the city/place with the country.
     * @return The full location.
     */
    String getFullLocation() {
		return null;
	}

    /**
     * Returns the <code>profile</code> of the user.
     * @return The profile or <code>null</code> if not set
     * @deprecated Use {@link #getUserProperties()} instead.
     */
    @Deprecated
    Profile getProfile() {
		return null;
	}

    /**
     * Returns the <code>userProperties</code> of the user.
     * @return The userProperties or <code>null</code> if not set
     */
    UserProperties getUserProperties() {
		return null;
	}

}
