/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.handlebars;

import java.io.IOException;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Map;

import org.apache.commons.httpclient.util.URIUtil;
import org.apache.commons.lang3.StringUtils;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.resource.ResourceResolver;

import com.adobe.cq.social.handlebars.api.TemplateHelpersService;
import com.adobe.granite.xss.XSSAPI;
import com.day.cq.wcm.api.WCMMode;
import com.day.cq.widget.HtmlLibraryManager;
import com.github.jknack.handlebars.Handlebars;
import com.github.jknack.handlebars.Helper;
import com.github.jknack.handlebars.Options;

public class DefaultHelpersRegister {

    private final XSSAPI xssAPI;
    private final TemplateContextProviderService contextProviderService;
    private final HtmlLibraryManager htmlLibraryManager;

    public DefaultHelpersRegister(final XSSAPI xssAPI, final TemplateContextProviderService contextProviderService,
        final HtmlLibraryManager htmlLibraryManager) {
        this.xssAPI = xssAPI;
        this.contextProviderService = contextProviderService;
        this.htmlLibraryManager = htmlLibraryManager;
    }

    /**
     * Register static helpers.
     * @param handlebars the handlebars
     */
    public void registerStaticHelpers(final Handlebars handlebars, final ResourceResolver adminResolver)
        throws NoSuchMethodException {
		}
}
