/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.handlebars;

import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;

import javax.jcr.Node;
import javax.jcr.PathNotFoundException;
import javax.jcr.RepositoryException;
import javax.jcr.ValueFormatException;

import org.apache.commons.lang3.StringUtils;
import org.apache.sling.api.resource.Resource;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.day.cq.commons.jcr.JcrConstants;
import com.github.jknack.handlebars.io.AbstractTemplateSource;

/**
 * The Class SlingTemplateSource.
 */
public class SlingTemplateSource extends AbstractTemplateSource {

    /** The Constant LOG. */
    private static final Logger LOG = LoggerFactory.getLogger(SlingTemplateSource.class);

    /** The resource. */
    private final Resource resource;

    /** The location. */
    private final String location;

    /**
     * Instantiates a new sling template source.
     * @param resource the resource
     * @param location the location
     */
    public SlingTemplateSource(final Resource resource, final String location) {
        this.resource = resource;
        this.location = location;
    }

    /**
     * The template content.
     * @return The template content.
     * @throws IOException If the template can't read.
     */
    @Override
    public String content() throws IOException {
		return null;
	}

    /**
     * The template content as a {@link Reader}. Clients of this method must close the {@link Reader}.
     * @return The template content as a {@link Reader}.Clients of this method must close the {@link Reader}.
     * @throws IOException If the template can't read.
     */
    @Override
    public Reader reader() throws IOException {
		return null;
	}

    /**
     * The file's name.
     * @return The file's name.
     */
    @Override
    public String filename() {
		return null;
	}

    /**
     * The last modified date.
     * @return The last modified date.
     */
    @Override
    public long lastModified() {
		return 0L;
	}

}
