/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 *************************************************************************/

package com.adobe.cq.social.journal;

import java.util.Comparator;

/**
 * <code>JournalEntryDateComparator</code> compares dates of journal entries. Journal entries will be sorted by their
 * dates in descending order.
 */
public class JournalEntryDateComparator<P extends JournalEntry> implements Comparator<P> {

    /**
     * Creates a <code>JournalEntryDateComparator</code> instance.
     */
    public JournalEntryDateComparator() {
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public int compare(final P p1, final P p2) {
		return 0;
	}

}
