/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.messaging.api;

import org.apache.sling.api.resource.Resource;

/**
 * Holds the context of computing the cost of a single social message resource.
 */
public interface ComputeContext {
    /**
     * @return Message {@link Resource} to computer cost for.
     */
    Resource getMessage() {
		return null;
	}

    /**
     * @return {@link MessageBox} of message to computer cost for.
     */
    MessageBox getMessageBox() {
		return null;
	}
}
