/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.messaging.client.api;

import java.util.HashMap;
import java.util.Map;

import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Reference;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.resource.ResourceResolverFactory;

import com.adobe.cq.social.commons.client.api.AbstractSocialComponentFactory;
import com.adobe.cq.social.commons.client.api.BaseQueryRequestInfo;
import com.adobe.cq.social.commons.client.api.QueryRequestInfo;
import com.adobe.granite.security.user.UserPropertiesService;

/**
 * Abstract base of all messaging social components.
 */
@Component(componentAbstract = true, metatype = true)
abstract class AbstractMessagingComponentFactory extends AbstractSocialComponentFactory {

    @Reference
    private ResourceResolverFactory resolverFactory;

    @Reference
    private UserPropertiesService userPropertiesService;

    // TODO: Can be removed once changes for CQ-11249 are done.
    @Override
    protected QueryRequestInfo getQueryRequestInfo(final SlingHttpServletRequest request) {
		return null;
	}

    private static Map<String, String[]> getParameters(final SlingHttpServletRequest request) {
		return null;
	}

    protected ResourceResolverFactory getResolverFactory() {
		return null;
	}

    protected UserPropertiesService getUserPropertiesService() {
		return null;
	}

}
