/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.messaging.client.api;

import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Reference;
import org.apache.felix.scr.annotations.Service;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.resource.Resource;

import com.adobe.cq.social.commons.client.api.ClientUtilities;
import com.adobe.cq.social.commons.client.api.QueryRequestInfo;
import com.adobe.cq.social.commons.client.api.SocialComponent;
import com.adobe.cq.social.commons.client.api.SocialComponentFactory;
import com.adobe.cq.social.messaging.api.MessagingService;
import com.adobe.cq.social.messaging.client.impl.ComposeMessageSocialComponentImpl;

@Component(label = "AEM Social Communities ComposeMessageSocialComponentFactory")
@Service(value = SocialComponentFactory.class)
public class ComposeMessageSocialComponentFactory extends AbstractMessagingComponentFactory implements
    SocialComponentFactory {

    /**
     * Resource type for compose message.
     */
    public static final String COMPOSE_MESSAGE_RESOURCE_TYPE = "social/messaging/components/hbs/composemessage";

    @Reference
    private MessagingService messagingService;

    /**
     * Throws UnsupportedOperationException.  Message boxes cannot be created without a valid sling request.
     * @param resource A Resource.
     * @return Throws UnsupportedOperationException
     */
    @Override
    public SocialComponent getSocialComponent(final Resource resource) {
		return null;
	}

    @Override
    public SocialComponent getSocialComponent(final Resource resource, final SlingHttpServletRequest slingRequest) {
		return null;
	}

    /**
     * Throws UnsupportedOperationException.  Message boxes cannot be created without a valid sling request.
     * @param resource A resource.
     * @param clientUtilities A {@Link ClientUtilities} object.
     * @param queryRequestInfo A {@Link QueryRequestInfo} object.
     * @return Throws UnsupportedOperationException.
     */
    @Override
    public SocialComponent getSocialComponent(final Resource resource, final ClientUtilities clientUtilities,
        final QueryRequestInfo queryRequestInfo) {
			return null;
		}

    @Override
    public String getSupportedResourceType() {
		return null;
	}
}
