/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.messaging.client.api;

import com.adobe.cq.social.commons.client.api.User;

/**
 * This represents messaging user.
 */
public interface MessagingUser extends User {
    public static final String PATH_PREFIX = "social/messaging/";

    public static final String RESOURCE_TYPE = PATH_PREFIX + "user";

    String USER_TYPE = "user";
    String GROUP_TYPE = "group";

    /**
     * @return first name of user.
     */
    String getGivenName() {
		return null;
	}

    /**
     * @return last name of user.
     */
    String getFamilyName() {
		return null;
	}

    /**
     * @return {@link #USER_TYPE} if this is user {@link #GROUP_TYPE} if this is group.
     */
    String getType() {
		return null;
	}
}
