/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.moderation.util.common;

import java.text.SimpleDateFormat;
import java.util.Date;

import javax.jcr.Node;
import javax.jcr.RepositoryException;

import org.apache.sling.commons.json.JSONArray;
import org.apache.sling.commons.json.JSONException;
import org.apache.sling.commons.json.JSONObject;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.day.cq.wcm.api.Page;
import com.day.cq.wcm.api.PageManager;
import com.day.cq.wcm.api.WCMException;

/**
 * Static Utility functions for Moderation.
 */
public class ModerationUtilities {

    public static final Logger log = LoggerFactory.getLogger(ModerationUtilities.class);

    /**
     * Creates time-based buckets e.g.home/2012/03/04/<tweets>
     * @param mgr PageManager for create page nodes.
     * @param targetNode - where to create time-based buckets
     * @param date - buckets created based on this date
     * @return
     * @throws WCMException
     * @throws RepositoryException
     * @throws Exception
     */
    public static Node addTimeBucket(final PageManager mgr, final Node targetNode, final Date date)
        throws WCMException, RepositoryException {
			return null;
		}

    public static String getPathArray(final String payload) throws JSONException {
		return null;
	}

}// end of class
