/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.sc.lucene;

import java.util.ArrayList;
import java.util.List;

import javax.jcr.Node;
import javax.jcr.PathNotFoundException;
import javax.jcr.RepositoryException;

class LuceneSearchCollectionConfig {

    private static final String PROPERTY_INCLUDES = "includes";
    private static final String PROPERTY_EXCLUDES = "excludes";

    private final List<String> includes;
    private final List<String> excludes;

    LuceneSearchCollectionConfig(final Node directory) throws RepositoryException {
        this.includes = getOrElse(directory, PROPERTY_INCLUDES, null);
        this.excludes = getOrElse(directory, PROPERTY_EXCLUDES, null);
    }

    public boolean shouldInclude(final String path) {
		return false;
	}

    private boolean matchesIncludes(final String path) {
		return false;
	}

    private boolean matchesExcludes(final String path) {
		return false;
	}

    private boolean matches(final List<String> rules, final String path) {
		return false;
	}

    private static List<String> getOrElse(final Node node, final String property, final String defVal)
        throws RepositoryException {
			return null;
		}

}