/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.sc.lucene;

import javax.jcr.Session;
import javax.jcr.query.qom.Column;
import javax.jcr.query.qom.Constraint;
import javax.jcr.query.qom.Ordering;
import javax.jcr.query.qom.QueryObjectModel;
import javax.jcr.query.qom.Source;

import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.store.Directory;

import com.day.crx.sc.qom.AbstractQueryObjectModelFactory;

class QueryObjectModelFactoryImpl extends AbstractQueryObjectModelFactory {

    private final Directory directory;

    private final Analyzer analyzer;

    private final Session session;

    public QueryObjectModelFactoryImpl(final Directory directory, final Analyzer analyzer, final Session session) {
        this.directory = directory;
        this.analyzer = analyzer;
        this.session = session;
    }

    @Override
    public QueryObjectModel createQuery(final Source source, final Constraint constraint, final Ordering[] orderings,
        final Column[] columns) {
			return null;
		}
}
