/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.storage.buckets;

import org.apache.sling.api.SlingException;

public class NestedBucketStorageException extends SlingException {

    private static final long serialVersionUID = -3921679155310400330L;

    public NestedBucketStorageException(final String message) {
        super(message);
    }

    public NestedBucketStorageException(final String message, final Exception e) {
        super(message, e);
    }
}
