/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.storage.buckets;

import org.apache.sling.api.resource.Resource;

/**
 * Nested Bucket storage properties
 */
public interface NestedBucketStorageProperties {
    /**
     * Get the root of the <code>NestedBucketStorageSystem</code>
     * @return the root
     */
    Resource getRoot() {
		return null;
	}

    /**
     * Get the bucket postfix
     * @return bucket postfix
     */
    String getPostfix() {
		return null;
	}

    /**
     * Set bucket postfix
     */
    void setPostfix(final String postfix) {
	}

    /**
     * Get the bucket resource type
     * @return the resource type of the bucket
     */
    String getNodeType() {
		return null;
	}

    /**
     * Set bucket resource type
     */
    void setNodeType(final String nodeType) {
	}
}
