/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.storage.index;

/**
 * <code>IndexCounter</code> stores size information about the index.
 */
public interface IndexCounter {

    public static final String NODE_NAME = "counter";

    public static final String PN_counters = "counters";

    public static final String PN_totalCount = "totalCount";

    /**
     * Return the array of index counters.
     * @return the array of index counters.
     */
    int[] getCounters() {
		return null;
	}

    /**
     * Return the total size of the index folder.
     * @return the total size of the index folder.
     */
    long getTotalCount() {
		return 0L;
	}
}
