/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.tally.client.api;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import javax.jcr.RepositoryException;

import org.apache.sling.api.resource.Resource;

import com.adobe.cq.social.commons.client.api.BaseSocialComponent;
import com.adobe.cq.social.commons.client.api.ClientUtilities;
import com.adobe.cq.social.tally.RatingComponent;
import com.adobe.cq.social.tally.Response;
import com.adobe.cq.social.tally.ResponseValue;
import com.adobe.cq.social.tally.TallyException;

public abstract class AbstractRating extends BaseSocialComponent implements RatingSocialComponent {
    final private RatingComponent rating;
    final protected Resource resource;

    private final String currentUser;
    private List<String[]> ratingResults;
    protected String[] allowedResponses = {"5.0", "4.0", "3.0", "2.0", "1.0"};

    public AbstractRating(final Resource resource) {
        this(resource.adaptTo(RatingComponent.class), null);
    }

    public AbstractRating(final Resource resource, final ClientUtilities clientUtils) {
        this(resource.adaptTo(RatingComponent.class), clientUtils);
    }

    public AbstractRating(final RatingComponent ratingComponent, final ClientUtilities clientUtils) {
        super(ratingComponent.getTallyTarget(), clientUtils);
        this.resource = ratingComponent.getTallyTarget();
        this.rating = ratingComponent;
        this.currentUser = this.resource.getResourceResolver().getUserID();

    }

    @Override
    public String getName() {
		return null;
	}

    @Override
    public Long getTotalNumberOfResponses() {
		return null;
	}

    @Override
    public ResponseValue getCurrentUserResponse() throws TallyException {
		return null;
	}

    @Override
    public Map<String, Long> getResponseTallies() {
		return null;
	}

    public void addResponse(final String value) {
	}

    public void removeCurrentUserResponse() {
	}

    /*
     * (non-Javadoc)
     * @see com.adobe.cq.social.tally.http.impl.Rating#getAverageRating()
     */
    @Override
    public Float getAverageRating() {
		return null;
	}

    @Override
    public String getFormattedAverageRating() {
		return null;
	}

    @Override
    public List<String[]> getRatingResults() {
		return null;
	}

    private void buildRatingResults() {
	}

    @Override
    public boolean getCanUserRespond() {
		return false;
	}
    
    protected RatingComponent getRatingComponent() {
		return null;
	}
}
