/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.granite.auth.saml.model;

public class AuthnRequest extends AbstractRequest {

	private Subject subject;
	private NameIdPolicy nameIdPolicy;
	private boolean forceAuthn;
	private boolean isPassive;
	private String assertionConsumerServiceUrl;
	private String assertionConsumerServiceIndex;
	private String protocolBinding;
	private String attributeConsumerServiceIndex;
	private String providerName;
	
	public AuthnRequest() {
		super();
	}
	
	public Subject getSubject() {
		return null;
	}

	public void setSubject(Subject subject) {
	}

	public NameIdPolicy getNameIdPolicy() {
		return null;
	}

	public void setNameIdPolicy(NameIdPolicy nameIdPolicy) {
	}

	public boolean isForceAuthn() {
		return false;
	}

	public void setForceAuthn(boolean forceAuthn) {
	}

	public boolean isPassive() {
		return false;
	}

	public void setPassive(boolean isPassive) {
	}

	public String getAssertionConsumerServiceUrl() {
		return null;
	}

	public void setAssertionConsumerServiceUrl(String assertionConsumerUrl) {
	}

	public String getAssertionConsumerServiceIndex() {
		return null;
	}

	public void setAssertionConsumerServiceIndex(
			String assertionConsumerServiceIndex) {
			}

	public String getProtocolBinding() {
		return null;
	}

	public void setProtocolBinding(String protocolBinding) {
	}

	public String getAttributeConsumerServiceIndex() {
		return null;
	}

	public void setAttributeConsumerServiceIndex(
			String attributeConsumerServiceIndex) {
			}

	public String getProviderName() {
		return null;
	}

	public void setProviderName(String providerName) {
	}

	public boolean hasProtocolBinding() {
		return false;
	}
	
	public boolean hasNameIdPolicy() {
		return false;
	}

	public boolean hasAssertionConsumerServiceURL() {
		return false;
	}

	public boolean hasAssertionConsumerServiceIndex() {
		return false;
	}
	
	// TODO JH RequestNConditions
	// TODO JH conditions
	// TODO JH scoping
	
}
