/*************************************************************************
*
* ADOBE CONFIDENTIAL
* __________________
*
*  Copyright 2014 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains
* the property of Adobe Systems Incorporated and its suppliers,
* if any.  The intellectual and technical concepts contained
* herein are proprietary to Adobe Systems Incorporated and its
* suppliers and are protected by trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from Adobe Systems Incorporated.
**************************************************************************/

package com.adobe.granite.translation.core.common;

import com.adobe.granite.translation.api.TranslationConstants;
import com.adobe.granite.translation.api.TranslationServiceFactory;
import org.apache.commons.lang.StringUtils;
import org.apache.felix.scr.annotations.Component;
import org.apache.sling.commons.osgi.PropertiesUtil;
import org.osgi.service.component.ComponentContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.Dictionary;

@Component(componentAbstract = true)
public abstract class AbstractTranslationServiceFactory implements TranslationServiceFactory {

    protected TranslationConstants.ServiceStatus status;

    protected String factoryName;

    private static final Logger log = LoggerFactory.getLogger(AbstractTranslationServiceFactory.class);

    protected void activate(final ComponentContext ctx) {
	}

    public TranslationConstants.ServiceStatus getStatus(){
		return null;
	}

    protected void setStatus(TranslationConstants.ServiceStatus status){
	}

    @Override
    public String getServiceFactoryName(){
		return null;
	}

}