/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and may be covered by U.S. and Foreign Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.analytics;

/**
 * @deprecated This interface will be removed in future versions and has no
 *             default implementation anymore. Use
 *             {@link com.day.cq.wcm.webservicesupport.ConfigurationManager}
 *             instead.
 * @see {@link com.day.cq.wcm.webservicesupport.ConfigurationManager}
 */
@Deprecated
public interface AccountManager {

    /**
     * Saves the {@link Account} to the repository. If the account is new, a new
     * node will be created.
     * 
     * @param account
     * @throws AnalyticsException
     */
    Account saveAccount(Account account) throws AnalyticsException {
		return null;
	}

    /**
     * Gets an account of type <code>T</code> with the specified
     * {@link AccountResourceProvider}.
     * 
     * @param <T> Account type
     * @param type Account class
     * @return Account or <code>null</code> if not found
     */
    <T extends Account> T getAccount(Class<T> type, AccountResourceProvider provider) {
		return null;
	}

    /**
     * Gets an account of type <code>T</code> from the specified path.
     * 
     * @param <T> Account type
     * @param type Account class
     * @param path absolute path to the account
     * @return Account or <code>null</code> if not found
     */
    <T extends Account> T getAccount(Class<T> type, String path) {
		return null;
	}

}
