/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.analytics.testandtarget;

import java.util.Date;

/**
 * A segment, as it is represented in Adobe Target
 * 
 * <p>
 * The properties of a segment are exactly those returned by the Adobe Target API, with no modification.
 * </p>
 * 
 */
public class Segment {

    private long id;
    private String path;
    private String name;
    private String description;
    private String segmentRule;
    private Date created;
    private String createdBy;
    private Date modified;
    private String modifiedBy;

    public long getId() {
		return 0L;
	}

    public void setId(long id) {
	}

    public String getPath() {
		return null;
	}

    public void setPath(String path) {
	}

    public String getName() {
		return null;
	}

    public void setName(String name) {
	}

    public String getDescription() {
		return null;
	}

    public void setDescription(String description) {
	}

    public String getSegmentRule() {
		return null;
	}

    public void setSegmentRule(String segmentRule) {
	}

    public Date getCreated() {
		return null;
	}

    public void setCreated(Date created) {
	}

    public String getCreatedBy() {
		return null;
	}

    public void setCreatedBy(String createdBy) {
	}

    public Date getModified() {
		return null;
	}

    public void setModified(Date modified) {
	}

    public String getModifiedBy() {
		return null;
	}

    public void setModifiedBy(String modifiedBy) {
	}

    @Override
    public String toString() {
		return null;
	}

}
