/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */

package com.day.cq.commons.predicate;

import org.apache.commons.collections.Predicate;

/**
 * Provider that returns registered predicates.
 */
public interface PredicateProvider {

    /**
     * Returns the registered predicate. 
     *
     * @param name name of the predicate to retrieve
     * @return predicate or <code>null</code>
     */
    Predicate getPredicate(String name) {
		return null;
	}

}