/*************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2011 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains
* the property of Adobe Systems Incorporated and its suppliers,
* if any.  The intellectual and technical concepts contained
* herein are proprietary to Adobe Systems Incorporated and its
* suppliers and are protected by trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from Adobe Systems Incorporated.
**************************************************************************/
package com.day.cq.dam.commons.proxy;

import com.day.cq.wcm.webservicesupport.Configuration;

public interface ProxyConfig {
    /**
     * Proxy Cloud configuration keys
     * */
    public static final String PROXY_HOST = "host";
    public static final String PROXY_HOST_DEFAULT = "localhost";

    public static final String PROXY_PORT = "port";
    public static final int PROXY_PORT_DEFAULT = -1;

    public static final String PROXY_USER = "user";
    public static final String PROXY_USER_DEFAULT = "admin";

    public static final String PROXY_PSWD = "password";
    public static final String PROXY_PSWD_DEFAULT = "admin";

    public static final String PROXY_CLOUD_CONFIG = "/etc/cloudservices/proxy";

    public Configuration getConfiguration() {
		return null;
	}

    public Configuration getConfiguration(String worker) {
		return null;
	}

}
