package com.day.cq.dam.commons.thumbnail.provider;

import com.day.cq.commons.thumbnail.ThumbnailProvider;
import com.day.cq.dam.api.Asset;
import com.day.cq.dam.api.Rendition;
import org.apache.commons.lang.StringUtils;
import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Property;
import org.apache.felix.scr.annotations.Service;
import org.apache.jackrabbit.util.Text;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ResourceResolver;
import org.apache.sling.api.resource.ResourceUtil;
import org.apache.sling.api.resource.ValueMap;

import java.util.Map;

import static com.day.cq.dam.api.DamConstants.PREFIX_ASSET_THUMBNAIL;

/**
 * The <code>FileThumbnailProvider</code> class does currently only consider nt:files. If the file is part of a DAM
 * Lightbox, it attempts to locate the requested thumbnail within the asset referenced by the lightbox entry.
 */
@Component(metatype = false)
@Service
@Property(name = "thumbnail.provider.name", value = "nt:file")
public class FileThumbnailProvider implements ThumbnailProvider {

    private static final String LIGHTBOX_HOME = "/var/lightbox";
    private static final String LIGHBOX_ASSETREF_SEPARATOR = "_:_";
    private static final String PROP_NAME_ASSETREFS = "assetRefs";

    public String getThumbnailPath(Resource resource, int width, int height,
                                   Map<String, Object> additionalConf) {
									return null;
								}

    private String getThumbnailPathForLightboxEntry(final Resource entry, final int width, final int height) {
		return null;
	}

    private boolean isLightBoxAsset(final Resource resource) {
		return false;
	}
}
