/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.day.cq.dam.handler.standard.epub;

import java.awt.Dimension;
import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Map;

import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Service;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.day.cq.dam.api.Asset;
import com.day.cq.dam.api.DamConstants;
import com.day.cq.dam.api.Rendition;
import com.day.cq.dam.api.metadata.ExtractedMetadata;
import com.day.cq.dam.commons.handler.AbstractAssetHandler;
import com.day.image.Layer;

/**
 * The <code>EPubHandler</code> class ...
 */
@Component (inherit = true, metatype = false)
@Service
public class EPubHandler extends AbstractAssetHandler {

    private static final String THUMBNAIL = "thumbnail";

    /**
     * the default logger
     */
    private static final Logger log = LoggerFactory.getLogger (EPubHandler.class);

    /**
     * Mime type
     */
    public static final String EPUB_MIME_TYPE = "application/epub+zip";
    public static final String[] MIME_TYPES = new String[] {EPUB_MIME_TYPE};

    private void _setMD (Map<String, String> md, String mdname, ExtractedMetadata xmd, String xmdname) {
	}

    public ExtractedMetadata extractMetadata (final Asset asset) {
		return null;
	}

    public BufferedImage getImage (final Rendition rendition) throws IOException {
		return null;
	}

    public BufferedImage getImage (final Rendition rendition, final Dimension dim) throws IOException {
		return null;
	}

    public String[] getMimeTypes() {
		return null;
	}
}
