/*
 * Copyright 1997-2011 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.dam.handler.standard.msoffice;

import org.apache.poi.hpsf.DocumentSummaryInformation;
import org.apache.poi.hpsf.SummaryInformation;
import org.apache.poi.hpsf.NoPropertySetStreamException;
import org.apache.poi.hpsf.PropertySet;
import org.apache.poi.hpsf.PropertySetFactory;
import org.apache.poi.hpsf.Property;
import org.apache.poi.hpsf.CustomProperty;
import org.apache.poi.poifs.eventfilesystem.POIFSReaderEvent;
import org.apache.poi.poifs.eventfilesystem.POIFSReaderListener;
import org.slf4j.LoggerFactory;

/**
 * Apache POI (POIFS) reader listener for MSOffice 2004 documents
 *
 * */
public class MetaDataReaderListener implements POIFSReaderListener {

    private static final org.slf4j.Logger log = LoggerFactory.getLogger(MSOfficeHandler.class);

    private MSOfficeMetadata metadata;
    private boolean debug;

    public MetaDataReaderListener() {
        if (log.isDebugEnabled()) {
            debug = true;
        }
    }

    public void processPOIFSReaderEvent(POIFSReaderEvent event) {
	}

    public void setMetadata(MSOfficeMetadata metadata) {
	}

}
