/*
 * Copyright 1997-2010 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.dam.video;

import com.day.cq.commons.jcr.JcrConstants;
import com.day.cq.dam.api.Asset;
import com.day.cq.dam.api.Rendition;
import com.day.cq.dam.commons.util.PrefixRenditionPicker;
import org.apache.commons.lang.StringUtils;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ResourceResolver;
import org.apache.sling.api.resource.ResourceUtil;
import org.apache.sling.api.resource.ValueMap;

import javax.jcr.Node;
import java.awt.Dimension;

/**
 * Describes the transcoding of a video file. Utility wrapper around a video
 * profile page/resource.
 */
public class VideoProfile {

    public static final String PROFILE_BASE_PATH = "/etc/dam/video";

    public static final String PROFILE_TYPE_CQ = "dam/components/video/profile";

    public static final String PROFILE_TYPE_S7 = "dam/components/video/s7profile";

    /**
     * Resolves a video profile by name (relative to the video profile base
     * path) or absolute path.
     *
     * @param name can be a name or an absolute path
     * @return a video profile wrapper
     */
    public static VideoProfile get(ResourceResolver resolver, String name) {
		return null;
	}

    private Resource resource;

    public VideoProfile(Resource resource) {
        if (JcrConstants.JCR_CONTENT.equals(resource.getName())) {
            this.resource = resource.getParent();
        } else {
            this.resource = resource;
        }
    }

    public String getName() {
		return null;
	}

    public String getPath() {
		return null;
	}

    public Resource getResource() {
		return null;
	}

    public Resource getContentResource() {
		return null;
	}

    public ValueMap getProperties() {
		return null;
	}

    public Node getContentNode() {
		return null;
	}

    public String getHtmlType() {
		return null;
	}

    public Rendition getRendition(Asset asset) {
		return null;
	}

    public Dimension getOutputSize() {
		return null;
	}

    /**
     * Get the value for the 'src' attribute for the html &ltsource&gt element, based on the given rendition.
     */
    public String getHtmlSource(Rendition rendition) {
		return null;
	}

    public String getStrobeVideoSource(Rendition rendition) {
		return null;
	}

    public String getFlvVideoSource(Rendition rendition) {
		return null;
	}

    public String getCustomVideoSource(Rendition rendition) {
		return null;
	}

    private boolean isS7Profile() {
		return false;
	}

    private boolean isCQProfile() {
		return false;
	}

    private String getResourceType() {
		return null;
	}

    private String getPresetHandle() {
		return null;
	}

    private String getScene7Url(Rendition rendition) {
		return null;
	}
}
