/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.mcm.api;

import com.day.cq.tagging.Tag;
import com.day.cq.wcm.api.Page;
import org.apache.jackrabbit.api.security.user.Authorizable;
import org.apache.jackrabbit.api.security.user.User;
import org.apache.jackrabbit.api.security.user.UserManager;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ResourceResolver;
import org.apache.sling.api.resource.ResourceUtil;
import org.apache.sling.api.resource.ValueMap;
import org.apache.sling.commons.json.JSONArray;
import org.apache.sling.commons.json.JSONException;
import org.apache.sling.commons.json.JSONObject;
import org.apache.sling.commons.json.io.JSONWriter;

import javax.jcr.RepositoryException;
import java.util.Map;

/**
 * Utility methods for MCM.
 */
public class MCMUtil {

    public static String removePossibleJcrContent(String path) {
		return null;
	}

    /**
     * @param out
     * @param m
     * @throws JSONException
     */
    public static <T> void writeMapAsJsonObject(JSONWriter out, Map<String, T> m) throws JSONException {
	}

    public static void addPossibleTagsToValues(Page aPage, Map<String, Object> values) throws JSONException {
	}

    public static void addPossibleSegmentsToValues(ValueMap content, Map<String, Object> values,
                                                   ResourceResolver resourceResolver) throws JSONException {
												}

    /**
     * Retrieves the title of the page under path or returns the path if the path
     * doesn't lead to a page.
     *
     * @param resolver
     * @param path
     * @return
     */
    public static String getSegmentName(ResourceResolver resolver, String path) {
		return null;
	}

    /**
     * Adapts rr to {@link UserManager} and tries to get a user for the given id.
     * This API has been deprecated because of dependency on deprecated API like com.day.cq.security.User.
     * Use {@link #getAuthorizedUser(org.apache.sling.api.resource.ResourceResolver, String)} method.
     *
     * @param rr
     * @param userId
     * @return <code>null</code> if no user is found (if a group is found, too).
     */
    @Deprecated
    public static com.day.cq.security.User getUser(ResourceResolver rr, String userId) {
		return null;
	}

    /**
     * API to get authorizable user for the given Id
     *
     * @param rr
     * @param userId
     * @return
     */
    public static User getAuthorizedUser(ResourceResolver rr, String userId) {
		return null;
	}

    /**
     * Fetch user name from the given id
     *
     * @param rr
     * @param userId
     * @return
     */
    public static String getUserId(ResourceResolver rr, String userId) {
		return null;
	}

    /**
     * Checks if the <code>resource</code> is of an experience type
     * (cq/personalization/components/teaserpage,
     * cq/personalization/components/offerpage,
     * mcm/components/newsletter/page).
     *
     * @param resource
     * @return <code>true</code> if type is an experience type, <code>false</code>
     *         otherwise.
     */
    public static boolean isAnExperience(Resource resource) {
		return false;
	}

}
