package com.day.cq.mcm.campaign;

/**
 * Reflects the current status of a Newsletter
 */
public interface NewsletterStatus {

    /**
     * Gets the status as a numeric code.
     *
     * @return The status (numeric)
     */
    int getStatusCode() {
		return 0;
	}

    /**
     * Gets the status as a String code.
     *
     * @return The status (textual)
     */
    String getStatusString() {
		return null;
	}

    /**
     * Gets an (internationalized) variant of the status in a human-readable format.
     *
     * @return The human-readable status
     */
    String getStatusMessage() {
		return null;
	}

}
