/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.opensocial.gadgets.servlet;

import javax.servlet.Servlet;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;

import com.day.cq.opensocial.ActivationService;
import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Properties;
import org.apache.felix.scr.annotations.Property;
import org.apache.felix.scr.annotations.Reference;
import org.apache.felix.scr.annotations.Service;
import org.apache.shindig.common.servlet.GuiceServletContextListener;

/**
 * <code>JsServlet</code> is a sling/osgi-scr wrapper for
 * the {@link org.apache.shindig.gadgets.servlet.JsServlet} from Shindig.
 * @deprecated This class will be removed from a future version of the product.
 */
@Deprecated
@Component(metatype = false)
@Service(serviceFactory = true, value = Servlet.class)
@Properties({
        @Property(name = "service.description", value = "Apache Shindig Gadget Javascript Feature Servlet"),
        @Property(name = "sling.servlet.paths", value = "/libs/opensocial/js")
})
public class JsServlet extends org.apache.shindig.gadgets.servlet.JsServlet {

    @Reference
    private ActivationService activationService;

    @Override
    public void init(final ServletConfig config) throws ServletException {
	}
}
