/*
 * Copyright 1997-2011 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.opensocial.protocol;

import com.day.cq.opensocial.ActivationService;
import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Properties;
import org.apache.felix.scr.annotations.Property;
import org.apache.felix.scr.annotations.Reference;
import org.apache.felix.scr.annotations.Service;
import org.apache.shindig.common.servlet.GuiceServletContextListener;

import javax.servlet.Servlet;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;

/**
 * <code>DataServiceServlet</code> is a sling/osgi-scr wrapper for
 * the {@link org.apache.shindig.protocol.DataServiceServlet} from Shindig.
 * @deprecated This class will be removed from a future version of the product.
 */
@Deprecated
@Component(metatype = false)
@Service(serviceFactory = true, value = Servlet.class)
@Properties({
        @Property(name = "service.description", value = "Apache Shindig Rest API Servlet (DEPRECATED)"),
        @Property(name = "handlers", value = "org.apache.shindig.handlers"),
        @Property(
                name = "sling.servlet.paths",
                value = {"/libs/opensocial/rest", "/libs/opensocial/api/rest", "/libs/opensocial/social/rest"}
        )
})
public class DataServiceServlet extends org.apache.shindig.protocol.DataServiceServlet {

    @Reference
    private ActivationService activationService;

    @Override
    public void init(final ServletConfig config) throws ServletException {
	}

}
