/*
 * Copyright 1997-2010 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.search.eval;

import org.apache.jackrabbit.util.Text;

/**
 * Utility class for XPath related methods and constants.
 *
 */
public abstract class XPath {
    
    public static final String SEARCH_ALL = "//*";
    
    public final static String NOT = "not";
    
    public final static String AND = " and ";
    
    public final static String OR = " or ";
    
    public final static String ORDER_BY = " order by ";
    
    public final static String DESC = " descending";
    
    public final static String OPENING_BRACKET = "(";
    
    public final static String CLOSING_BRACKET = ")";
    
    public final static String PREDICATE_OPENING_BRACKET = "[";
    
    public final static String PREDICATE_CLOSING_BRACKET = "]";
    
    public final static String JCR_ROOT = "/jcr:root";
    
    public final static String JCR_LIKE = "jcr:like";
    
    public final static String JCR_CONTAINS = "jcr:contains";

    public final static String JCR_LIKE_WILDCARD = "%";

    public final static char   JCR_LIKE_ANY_WILDCARD = '%';

    public final static char   JCR_LIKE_SINGLE_WILDCARD = '_';

    public final static String REP_EXCERPT = "/rep:excerpt(.)";
    
    public static String getPropertyPath(String property) {
		return null;
	}
    
    public static String getStringLiteral(String value) {
		return null;
	}
    
    private static int count(String s, char c) {
		return 0;
	}
    
    public static String getFulltextStringLiteral(String value) {
		return null;
	}
    
    public static String getEqualsExpression(String property, String value) {
		return null;
	}
    
    public static String getUnequalsExpression(String property, String value) {
		return null;
	}
    
    public static String getJcrLikeExpression(String property, String value) {
		return null;
	}
    
    public static String getNotExpression(String property) {
		return null;
	}
    
    public static String getXPathOrderBy(String property, boolean ascending) {
		return null;
	}
}
