/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and may be covered by U.S. and Foreign Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.searchpromote.xml.result;

import java.util.ArrayList;
import java.util.List;

import javax.xml.stream.XMLEventReader;
import javax.xml.stream.events.StartElement;
import javax.xml.stream.events.XMLEvent;

public class Facet implements ResultEntity {
	private static final String SELECTED_NODE  = "selected";
	private static final String TITLE_NODE     = "facet-title";
	private static final String UNDO_LINK_NODE = "undo-link";
	private static final String ITEM_NODE      = "facet-value";
	private static final String BEHAVIOR_NODE  = "behavior";
	
	private boolean          selected;
	private String           title;
	private String           undoQueryString;
	private List<FacetValue> items;
	private String			 behavior;

	public Facet() {
		items = new ArrayList<FacetValue>();
	}
	
	public void parse(XMLEventReader reader) throws Exception {
	}

	public boolean isSelected() {
		return false;
	}

	public String getTitle() {
		return null;
	}

	public String getUndoQueryString() {
		return null;
	}
	
	public Boolean hasUndoQueryString() {
		return null;
	}

	public List<FacetValue> getItems() {
		return null;
	}
	
	public String getBehavior() {
		return null;
	}
}
