/*
 * Copyright 1997-2010 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.shindig;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.Servlet;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletResponse;

import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Properties;
import org.apache.felix.scr.annotations.Property;
import org.apache.felix.scr.annotations.Reference;
import org.apache.felix.scr.annotations.Service;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.SlingHttpServletResponse;
import org.apache.sling.api.request.RequestDispatcherOptions;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.servlets.SlingAllMethodsServlet;

import com.day.cq.shindig.gadgets.CQGadgetsConfigManager;

/**
 * The <code>CQUserPreferenceServlet</code> stores and reads user profile
 * specific gadget configuration(s).<p/>
 * Resolves the configuration Node and forwards the request to the Default JSON
 * Renderer
 * @deprecated This class will be removed from a future version of the product.
 */
@Deprecated
@Component(metatype = false)
@Service(serviceFactory = true, value = Servlet.class)
@Properties({
        @Property(name = "service.description", value = "CQ Collab User Preference Servlet"),
        @Property(name = "service.vendor", value = "Day Management AG"),
        @Property(name = "sling.servlet.selectors", value = "gadgets"),
        @Property(name = "sling.servlet.extensions", value = "json"),
        @Property(name = "sling.servlet.resourceTypes", value = "sling.servlet/default"),
        @Property(name = "sling.servlet.methods", value = {"GET", "POST"})
})
public class CQUserPreferenceServlet extends SlingAllMethodsServlet {

    @SuppressWarnings({"UnusedDeclaration"}) // set via SCR
    @Reference
    private CQGadgetsConfigManager cfgManager;

    protected void doGet(SlingHttpServletRequest request, SlingHttpServletResponse response)
            throws ServletException, IOException {
			}

    protected void doPost(SlingHttpServletRequest request, SlingHttpServletResponse response)
            throws ServletException, IOException {
			}

    //-----------------------< private >----------------------------------------
    private void doMethod(SlingHttpServletRequest request, SlingHttpServletResponse response) {
	}
}
