/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.wcm.api.msm;

import com.day.cq.commons.JSONItem;
import com.day.cq.wcm.api.Page;

/**
 * Defines the interface of a CQ WCM Blueprint.
 *
 * @deprecated since 5.4 use {@link com.day.cq.wcm.msm.api.Blueprint} instead 
 */
@Deprecated
public interface Blueprint extends Page, JSONItem {

    /**
     * Returns the path to an icon for this template or <code>null</code> if
     * this template does not provide an icon.
     *
     * @return the path to an icon or <code>null</code>
     */
    String getIconPath() {
		return null;
	}

    /**
     * Returns the path to a thumbnail for this template or <code>null</code>
     * if the template does not provide a thumbnail.
     *
     * @return the path to a thumbnail or <code>null</code>
     */
    String getThumbnailPath() {
		return null;
	}

    /**
     * Returns the ranking in the template list.
     *
     * @return the ranking
     */
    Long getRanking() {
		return null;
	}


    /**
     * Returns the site path of the blueprint
     * @return path
     */
    public String getSitePath() {
		return null;
	}

}