/*
 * Copyright 1997-2009 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.wcm.core.mvt;

import java.util.Iterator;
import java.util.Collections;

import javax.jcr.Session;
import javax.jcr.RepositoryException;

import org.apache.jackrabbit.util.Text;

import com.day.cq.wcm.api.Page;
import com.day.crx.statistics.Report;

/**
 * <code>ClearStats</code> clears the MVT statistics for a given page.
 */
public class ClearStats extends Report {

    /** The page */
    private final Page page;

    public ClearStats(String dataPath, Page page) {
        super(dataPath);
        this.page = page;
    }

    public Iterator getResult(Session session) throws RepositoryException {
		return null;
	}
}
