/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.wcm.designimporter;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

import javax.jcr.AccessDeniedException;
import javax.jcr.Node;
import javax.jcr.NodeIterator;
import javax.jcr.RepositoryException;
import javax.jcr.Session;
import javax.jcr.observation.Event;
import javax.jcr.observation.EventIterator;
import javax.jcr.observation.EventListener;

import com.day.cq.wcm.designimporter.CanvasPageManager;
import org.apache.felix.scr.annotations.Activate;
import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Deactivate;
import org.apache.felix.scr.annotations.Reference;
import org.apache.sling.api.resource.ResourceResolver;
import org.apache.sling.api.resource.ResourceResolverFactory;
import org.osgi.service.component.ComponentContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.day.cq.replication.ReplicationActionType;
import com.day.cq.replication.ReplicationOptions;
import com.day.cq.replication.Replicator;
import com.day.cq.wcm.api.NameConstants;
import com.day.cq.wcm.api.Page;

@Component
@Deprecated
public class CanvasPageActivationHandler implements EventListener {

    @Reference
    ResourceResolverFactory resourceResolverFactory;

    @Reference
    private Replicator replicator;

    @Reference
    private CanvasPageManager canvasPageManager;

    protected final Logger log = LoggerFactory.getLogger(getClass());

    private ResourceResolver resolver;

    private static final String LAST_REPLICATION_ACTION = "cq:lastReplicationAction";

    @Activate
    protected void activate(ComponentContext context) throws Exception {
	}

    /**
     * {@inheritDoc}
     */
    public void onEvent(EventIterator events) {
	}

    private void replicateCanvasPage(Page page, String replicationAction, Boolean replicateSelf) {
	}

    /**
     * Shallow = true means only the page is replicated, not its dependencies
     */
    private void replicateCanvasPage(String path, String replicationAction, Boolean replicateSelf) {
	}

    /**
     * Get all Canvas Page Dependencies (paths) which are to be published with it
     */
    private List<String> getCanvasPageDependentPaths(ResourceResolver resolver, String path, Boolean isMobilePage) {
		return null;
	}

    

	private List<String> getDesignPaths(String path) {
		return null;
	}

	private List<String> getMboxPaths(String path) {
		return null;
	}
	
    private List<String> getCanvasPaths(String path) {
		return null;
	}

    /**
     * Get all Child Nodes Paths of this path except jcr:content node
     */
    private List<String> getAllChildNodes(ResourceResolver resolver, String path) throws RepositoryException {
		return null;
	}

    @Deactivate
    protected void deactivate(ComponentContext context) throws Exception {
	}

    /**
     * Sorts the string list such that js.txt and css.txt comes in the last so that when published these files are published at last and the
     * assets that they reference, are published first
     */
    class StringSortComparator implements Comparator<String> {

        public int compare(String o1, String o2) {
			return 0;
		}

    }

}
