/*
 * Copyright 1997-2009 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.wcm.foundation.forms;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.JspWriter;

import org.apache.commons.lang3.StringEscapeUtils;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.SlingHttpServletResponse;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ResourceUtil;
import org.apache.sling.api.resource.ValueMap;

import com.day.cq.wcm.foundation.forms.impl.JspSlingHttpServletResponseWrapper;
import com.day.cq.wcm.foundation.forms.impl.ResourceWrapper;

/**
 * Helper class for the forms components for validation.
 * @deprecated Check the methods for alternatives.
 */
@Deprecated
public class ValidationHelper {

    private ValidationHelper() {
        // no intances
    }

    /**
     * Return the current validation info for server side validation
     * @param request The current request
     * @return The validation info object.
     * @deprecated Use {@link ValidationInfo#createValidationInfo(SlingHttpServletRequest)}
     */
    @Deprecated
    public static ValidationInfo getValidationInfo(final SlingHttpServletRequest request) {
		return null;
	}

    /**
     * Check if there are validation errors for the current request.
     * @param request The curren t request.
     * @return <code>true</code> if there are validation errors.
     * @deprecated Use {@link ValidationInfo#getValidationInfo(HttpServletRequest)}
     */
    @Deprecated
    public static boolean hasValidationInfo(final HttpServletRequest request) {
		return false;
	}

    /**
     * Return the required message for this element.
     * @param resource The form element resource.
     * @return The required message.
     * @deprecated Use a {@link FieldDescription} instead.
     */
    @Deprecated
    public static String getRequiredMessage(final Resource resource) {
		return null;
	}

    /**
     * Return the constraint message for this element.
     * @param resource The form element resource.
     * @return The constraint message.
     * @deprecated Use {@link FieldHelper#getConstraintMessage(FieldDescription, SlingHttpServletRequest)}
     */
    @Deprecated
    public static String getConstraintMessage(final Resource resource) {
		return null;
	}

    /**
     * Convenience method to check the required flag of a form element.
     * @param request
     * @param resource The form element resource.
     * @return true if check passed.
     * @deprecated Use {@link FieldHelper#checkRequired(SlingHttpServletRequest, FieldDescription)}
     */
    @Deprecated
    public static boolean checkRequired(final SlingHttpServletRequest request,
                                        final Resource resource) {
											return false;
										}

    /**
     * Convenience method to check the constraint of a form element.
     * @param request
     * @param resource The form element resource.
     * @deprecated Use {@link FieldHelper#checkConstraint(SlingHttpServletRequest, SlingHttpServletResponse, FieldDescription)}
     */
    @Deprecated
    public static void checkConstraint(final SlingHttpServletRequest request,
                                       final SlingHttpServletResponse response,
                                       final Resource resource)
    throws IOException, ServletException {
	}

    /**
     * Write java script client code for a required check.
     * @deprecated Use {@link FieldHelper#writeClientRequiredCheck(SlingHttpServletRequest, SlingHttpServletResponse, FieldDescription)}
     */
    @Deprecated
    public static void writeRequiredCheck(final SlingHttpServletRequest request,
                                          final Resource resource,
                                          final JspWriter out)
    throws IOException {
	}

    /**
     * @deprecated Use {@link FieldHelper#getClientFieldQualifier(SlingHttpServletRequest, FieldDescription)}
     */
    @Deprecated
    public static String getFormElementQualifier(final SlingHttpServletRequest request,
                                                 final Resource resource) {
													return null;
												}

    /**
     * Write java script client code for a constraint check.
     * @deprecated Use {@link FieldHelper#writeClientConstraintCheck(SlingHttpServletRequest, SlingHttpServletResponse, FieldDescription)}
     */
    @Deprecated
    public static void writeConstraintCheck(final SlingHttpServletRequest request,
                                            final SlingHttpServletResponse response,
                                            final Resource resource,
                                            final JspWriter out)
    throws IOException, ServletException {
	}

    /**
     * Write java script client code for a regexp.
     * @deprecated Use {@link FieldHelper#writeClientRegexpText(SlingHttpServletRequest, SlingHttpServletResponse, FieldDescription, String)}
     */
    @Deprecated
    public static void writeRegexpText(final SlingHttpServletRequest request,
                                       final Resource resource,
                                       final String regexp,
                                       final JspWriter out)
    throws IOException {
	}
}