/*
 * Copyright 1997-2011 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.wcm.msm.api;

import org.apache.sling.api.resource.ResourceResolver;

/**
 * Factory to create {@link com.day.cq.wcm.msm.api.BlueprintManager BlueprintManager}
 * for a given {@link org.apache.sling.api.resource.ResourceResolver ResourceResolver}
 *
 * @since 5.4
 */
public interface BlueprintManagerFactory {

    /**
     * @param resourceResolver to request the BlueprintManger for
     * @return the Manager or <code>null</code> if the Manager can not be build

     */
    BlueprintManager getBlueprintManager(ResourceResolver resourceResolver) {
		return null;
	}
}
