/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.wcm.webservicesupport;

public interface ConfigurationConstants {
	
    /**
     * Service resource type
     */
	static final String RT_SERVICE = "cq/cloudserviceconfigs/components/servicepage";
	
	/**
	 * Configuration resource type
	 */
	static final String RT_CONFIGURATION = "cq/cloudserviceconfigs/components/configpage";

	/**
	 * Configurations property name
	 */
	static final String PN_CONFIGURATIONS = "cq:cloudserviceconfigs";
	
}
