/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.wcm.webservicesupport;

public interface ServiceConstants {
    
    /**
     * Property name for an icon path
     */
    static final String PN_ICON_PATH = "iconPath";    
    
    /**
     * Property name for a thumbnail path
     */
    static final String PN_THUMBNAIL_PATH = "thumbnailPath";
    
    /**
     * Component reference property name
     */
    static String PN_COMPONENT_REF = "componentReference";
    
    /**
     * Service URL property name
     */
    static String PN_SERVICEURL = "serviceUrl";
    
    /**
     * Service URL label property name
     */
    static String PN_SERVICEURL_LABEL = "serviceUrlLabel";
    
    /**
     * Selectable children property name
     */
    static String PN_SELECTABLE_CHILDREN = "selectableChildren";
    
    /**
     * Visible property name
     */
    static String PN_VISIBLE = "visible";
    
    /**
     * Property name for inclusion rank
     */
    static final String PN_INCLUSIONRANK = "inclusionRank";

}
