/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.crx.sc.qom;

import java.util.Map;
import java.util.Set;

import javax.jcr.Node;
import javax.jcr.RepositoryException;
import javax.jcr.query.Row;
import javax.jcr.query.qom.PropertyValue;

public class JoinRow extends AbstractRow {

    private final Row leftRow;

    private final Set<String> leftSelectors;

    private final Row rightRow;

    private final Set<String> rightSelectors;

    public JoinRow(final Map<String, PropertyValue> columns, final OperandEvaluator evaluator, final Row leftRow,
        final Set<String> leftSelectors, final Row rightRow, final Set<String> rightSelectors) {
        super(columns, evaluator);
        this.leftRow = leftRow;
        this.leftSelectors = leftSelectors;
        this.rightRow = rightRow;
        this.rightSelectors = rightSelectors;
    }

    @Override
    public Node getNode() throws RepositoryException {
		return null;
	}

    @Override
    public Node getNode(final String selectorName) throws RepositoryException {
		return null;
	}

    @Override
    public double getScore() throws RepositoryException {
		return 0.0d;
	}

    @Override
    public double getScore(final String selectorName) throws RepositoryException {
		return 0.0d;
	}

    private Row getRow(final String selector) throws RepositoryException {
		return null;
	}

    // --------------------------------------------------------------< Object >

    @Override
    public String toString() {
		return null;
	}

}
