/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.crx.sc.qom;

import java.util.Map;

import javax.jcr.Node;
import javax.jcr.RepositoryException;
import javax.jcr.query.qom.PropertyValue;

/**
 * A row implementation for a query with just a single selector.
 */
public class SelectorRow extends AbstractRow {

    private final String selector;

    private final Node node;

    private final double score;

    public SelectorRow(final Map<String, PropertyValue> columns, final OperandEvaluator evaluator,
        final String selector, final Node node, final double score) {
        super(columns, evaluator);
        this.selector = selector;
        this.node = node;
        this.score = score;
    }

    @Override
    public Node getNode() {
		return null;
	}

    @Override
    public Node getNode(final String selectorName) throws RepositoryException {
		return null;
	}

    @Override
    public double getScore() {
		return 0.0d;
	}

    @Override
    public double getScore(final String selectorName) throws RepositoryException {
		return 0.0d;
	}

    private void checkSelectorName(final String name) throws RepositoryException {
	}

    // --------------------------------------------------------------< Object >

    @Override
    public String toString() {
		return null;
	}

}
