/*******************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 ******************************************************************************/
package io.sightly.java.api;

/**
 * Locates rendering units
 */
public interface UnitLocator {

    /**
     * Locate the given rendering unit
     * @param path - the path of the unit
     * @return - the rendering unit, or null if the path could not be resolved to a valid
     * rendering unit
     */
    RenderUnit locate(String path) {
		return null;
	}

}
