/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.jackrabbit.oak.commons.json;

/**
 * A fast Jsop writer / reader.
 */
public class JsopStream implements JsopReader, JsopWriter {

    private boolean needComma;
    private int len, pos, lastPos, valuesLen;
    private int[] tokens = new int[4];
    private Object[] values = new Object[4];

    // write

    @Override
    public JsopStream append(JsopWriter w) {
		return null;
	}

    private void addToken(int x) {
	}

    private int addValue(Object x) {
		return 0;
	}

    private void growTokens() {
	}

    private void growValues() {
	}

    @Override
    public JsopStream tag(char tag) {
		return null;
	}

    @Override
    public JsopStream array() {
		return null;
	}

    @Override
    public JsopStream encodedValue(String raw) {
		return null;
	}

    @Override
    public JsopStream endArray() {
		return null;
	}

    @Override
    public JsopStream endObject() {
		return null;
	}

    @Override
    public JsopStream key(String key) {
		return null;
	}

    @Override
    public JsopStream newline() {
		return null;
	}

    @Override
    public JsopStream object() {
		return null;
	}

    @Override
    public JsopStream value(String value) {
		return null;
	}

    @Override
    public JsopStream value(long x) {
		return null;
	}

    @Override
    public JsopStream value(boolean b) {
		return null;
	}
    
    @Override
    public void resetReader() {
	}

    @Override
    public void resetWriter() {
	}

    @Override
    public void setLineLength(int i) {
	}

    private void optionalComma() {
	}

    // read

    @Override
    public String getToken() {
		return null;
	}

    @Override
    public int getTokenType() {
		return 0;
	}

    @Override
    public boolean matches(int type) {
		return false;
	}

    private int getType() {
		return 0;
	}

    @Override
    public String read(int type) {
		return null;
	}

    @Override
    public int read() {
		return 0;
	}

    private void skipNewline() {
	}

    @Override
    public String readRawValue() {
		return null;
	}

    @Override
    public String readString() {
		return null;
	}

    @Override
    public String toString() {
		return null;
	}

}
