/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.jackrabbit.oak.query.fulltext;

/**
 * A pattern matcher.
 */
public class LikePattern {

    // TODO LIKE: optimize condition to '=' when no patterns are used, or 'between x and x+1'
    // TODO LIKE: what to do for invalid patterns (patterns ending with a backslash)

    private static final int MATCH = 0, ONE = 1, ANY = 2;

    private String patternString;
    private boolean invalidPattern;
    private char[] patternChars;
    private int[] patternTypes;
    private int patternLength;
    private String lowerBounds, upperBound;

    public LikePattern(String pattern) {
        initPattern(pattern);
        initBounds();
    }

    public boolean matches(String value) {
		return false;
	}

    private static boolean compare(char[] pattern, String s, int pi, int si) {
		return false;
	}

    private boolean compareAt(String s, int pi, int si, int sLen, char[] pattern, int[] types) {
		return false;
	}

    private void initPattern(String p) {
	}

    @Override
    public String toString() {
		return null;
	}

    /**
     * Get the lower bound if any.
     *
     * @return return the lower bound, or null if unbound
     */
    public String getLowerBound() {
		return null;
	}

    /**
     * Get the upper bound if any.
     *
     * @return return the upper bound, or null if unbound
     */
    public String getUpperBound() {
		return null;
	}

    private void initBounds() {
	}

}