/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.jackrabbit.spi.commons.query.sql;

import org.apache.jackrabbit.spi.Name;

public class ASTPredicate extends SimpleNode {

    private int operationType;

    private boolean negate = false;

    private Name identifier;

    private String identifierOperand;

    private String escapeString;

  public ASTPredicate(int id) {
    super(id);
  }

  public ASTPredicate(JCRSQLParser p, int id) {
    super(p, id);
  }

    public void setOperationType(int type) {
	}

    public int getOperationType() {
		return 0;
	}

    public void setNegate(boolean b) {
	}

    public boolean isNegate() {
		return false;
	}

    public void setIdentifier(Name identifier) {
	}

    public Name getIdentifier() {
		return null;
	}

    public void setIdentifierOperand(String identifier) {
	}

    public String getIdentifierOperand() {
		return null;
	}

    public void setEscapeString(String esc) {
	}

    public String getEscapeString() {
		return null;
	}

  /** Accept the visitor. **/
  public Object jjtAccept(JCRSQLParserVisitor visitor, Object data) {
	return null;
}

    public String toString() {
		return null;
	}
}
