/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.jackrabbit.vault.fs.io;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import org.apache.commons.io.FileUtils;
import org.apache.jackrabbit.vault.fs.api.VaultInputSource;
import org.apache.jackrabbit.vault.fs.config.ExportRoot;
import org.apache.jackrabbit.vault.fs.config.MetaInf;
import org.apache.jackrabbit.vault.util.Constants;
import org.apache.jackrabbit.vault.util.FileInputSource;

/**
 * <code>FileArchive</code>...
 */
public class FileArchive extends AbstractArchive {

    private final File file;

    private ExportRoot eRoot;

    private OsEntry jcrRoot;

    public FileArchive(File file) {
        this.file = file;
    }

    public void open(boolean strict) throws IOException {
	}

    public void close() {
	}

    public Entry getJcrRoot() {
		return null;
	}

    public Entry getRoot() throws IOException {
		return null;
	}

    public MetaInf getMetaInf() {
		return null;
	}

    public InputStream openInputStream(Entry entry) throws IOException {
		return null;
	}

    public VaultInputSource getInputSource(Entry entry) throws IOException {
		return null;
	}

    private static class OsEntry implements Entry {

        private final File file;

        private OsEntry(File file) {
            this.file = file;
        }

        public String getName() {
			return null;
		}

        public boolean isDirectory() {
			return false;
		}

        public Collection<Entry> getChildren() {
			return null;
		}

        public Entry getChild(String name) {
			return null;
		}
    }
    
}