/*************************************************************************
  *
  * ADOBE CONFIDENTIAL
  * __________________
  *
  *  Copyright 2012 Adobe Systems Incorporated
  *  All Rights Reserved.
  *
  * NOTICE:  All information contained herein is, and remains
  * the property of Adobe Systems Incorporated and its suppliers,
  * if any.  The intellectual and technical concepts contained
  * herein are proprietary to Adobe Systems Incorporated and its
  * suppliers and may be covered by U.S. and Foreign Patents,
  * patents in process, and are protected by trade secret or copyright law.
  * Dissemination of this information or reproduction of this material
  * is strictly forbidden unless prior written permission is obtained
  * from Adobe Systems Incorporated.
  **************************************************************************/
package com.adobe.cq.dms.tagmanager;


public interface TagManagerConstants {
    
    /**
     * TagManager service resource path
     */
    static final String SERVICE_RESOURCEPATH = "/etc/cloudservices/tagmanager";
    
    /**
     * TagManager resource type
     */
    static final String RT_TAGMANAGER = "cq/tagmanager/components/tagmanager";

    /**
     * TagManager Container template path
     */
    static final String TEMPLATE_CONTAINER = "/libs/cq/tagmanager/templates/tagmanagercontainerpage";
    
}
