/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.projects.api;

import java.util.Set;

/**
 * Represents a member of a team.
 */
public interface ProjectMember {

    /**
     * Returns the id of this project member.
     * @return the id of this project member.
     */
    String getId() {
		return null;
	}

    /**
     * Returns the roles of this project member.
     * @return the roles of this project member.
     *
     * @see ProjectMemberRole
     */
    Set<ProjectMemberRole> getRoles() {
		return null;
	}
}
