/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.searchcollections.lucene;

import java.io.IOException;

import org.apache.lucene.store.IndexInput;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

class JCRIndexInput extends IndexInput {
    private Logger log = LoggerFactory.getLogger(getClass());
    private final byte[] data;

    private int position = 0;

    public JCRIndexInput(byte[] data, String name) throws IOException {
        super(name);
        this.data = data;
    }

    @Override
    public byte readByte() throws IOException {
		return 0;
	}

    @Override
    public void readBytes(byte[] b, int offset, int len) throws IOException {
	}

    @Override
    public long getFilePointer() {
		return 0L;
	}

    @Override
    public void seek(long pos) throws IOException {
	}

    @Override
    public long length() {
		return 0L;
	}

    @Override
    public void close() throws IOException {
	}

}
