/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 *************************************************************************/

package com.adobe.cq.social.calendar;

import java.util.Arrays;

import javax.jcr.Node;
import javax.jcr.RepositoryException;

import org.apache.commons.lang.ArrayUtils;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ValueMap;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.adobe.cq.social.calendar.client.api.Calendar;
import com.day.cq.search.Predicate;
import com.day.cq.search.PredicateGroup;
import com.day.cq.search.eval.JcrPropertyPredicateEvaluator;
import com.day.cq.search.eval.PathPredicateEvaluator;

/**
 * {@linkplain CalendarComponent} represents a calendar component. It provides simple access to its properties and for
 * updating them.
 * @deprecated @since AEM 6.0. Use {@link Calendar} instead.
 */
@Deprecated
public class CalendarComponent {

    private static final Logger log = LoggerFactory.getLogger(CalendarComponent.class);

    public static final String PN_SUBSCRIPTIONS = "subscriptions";

    final private Resource resource;
    private ValueMap props;
    private Node node;

    /**
     * Creates a new CalendarComponent from *any* JCR node resource. The caller has to make sure that the resource
     * actually represents a calendar component.
     * @param resource the JCR node resource which is a calendar component
     */
    public CalendarComponent(final Resource resource) {
        this.resource = resource;
    }

    public Resource getResource() {
		return null;
	}

    public ValueMap getProps() {
		return null;
	}

    public Node getNode() {
		return null;
	}

    public String[] getSubscriptions() {
		return null;
	}

    public void setSubscriptions(final String[] subscriptions) {
	}

    public void subscribeTo(final String path) {
	}

    public void unsubscribeFrom(final String path) {
	}

    public String getDefaultCalendarPath() {
		return null;
	}

    public CqCalendar getDefaultCalendar() {
		return null;
	}

    public PredicateGroup getCalendarPathQuery() {
		return null;
	}

}
