/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.commons.client.api;

/**
 * <p>
 * A <code>ResourceID</code> represents the identification of a resource. A resource can be stored in JCR or in other
 * type repository. A Resource ID, in the case of JCR, can be the path of the resource; in the case of a database, it
 * can be the resource table row id. We probably need a resource manager to fetch a resource from a resource id.
 */
public interface ResourceID {
    /**
     * Get the id as string.
     * @return the id as a string
     */
    String getResourceIdentifier() {
		return null;
	}
}
