/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.commons.comments.search;

import com.adobe.cq.social.commons.client.api.SocialCollectionComponent;
import com.adobe.cq.social.commons.comments.api.PageInfo;

public interface SearchResultComponent extends SocialCollectionComponent {
    String RESOURCE_TYPE = "social/commons/components/hbs/search/searchresult";

    String PN_FILTER = "filter";

    String PN_PATH = "path";

    /**
     * Get the search paths
     * @return
     */
    String[] getPaths() {
		return null;
	}

    /**
     * Gets information about the pages for this collection. This can be used by the page block helper to easily
     * render various pagination UIs.
     * @return information about the pagination system
     */
    PageInfo getPageInfo() {
		return null;
	}
}
