/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.commons.events;

import java.util.Map;

import org.osgi.service.event.Event;

public abstract class SocialEvent<T extends com.adobe.cq.social.commons.events.SocialEvent.SocialActions> extends
    com.adobe.cq.social.ugcbase.events.SocialEvent<T> {
    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    public interface SocialActions extends com.adobe.cq.social.ugcbase.events.SocialEvent.SocialActions {
    }

    public SocialEvent(final Event event) {
        super(event);
    }

    public SocialEvent(final String topic, final String path, final String userId, final T action,
        final Map<String, Object> additionalData) {
        super(topic, path, userId, action, additionalData);
    }
}
