/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 * 2447US01 - Patent Application - US - 13/648,825
 * 2448US01 - Patent Application - US - 13/648,856
 **************************************************************************/
package com.adobe.cq.social.connect.oauth;

import java.io.IOException;
import java.io.InputStream;
import java.util.Calendar;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

import javax.jcr.Binary;
import javax.jcr.Node;
import javax.jcr.RepositoryException;
import javax.jcr.Session;

import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.HttpMethod;
import org.apache.commons.httpclient.HttpStatus;
import org.apache.commons.httpclient.methods.GetMethod;
import org.apache.commons.io.IOUtils;
import org.apache.sling.commons.json.JSONException;
import org.apache.sling.commons.json.JSONObject;
import org.scribe.model.Response;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.day.cq.commons.jcr.JcrConstants;
import com.day.cq.commons.jcr.JcrUtil;

/**
 * common utilities for Provider implementations
 */
public class ProviderUtils {
    private static Logger log = LoggerFactory.getLogger(ProviderUtils.class);

    /**
     * A common simple implementation of the Provider.parseProfileDataResponse() method.
     * @see com.adobe.granite.auth.oauth.Provider
     * @param response
     * @return
     * @throws IOException
     */
    public static Map<String, String> parseProfileDataResponse(final Response response) throws IOException {
		return null;
	}

    /**
     * Since most cq renderings of avatar use a file stored at profile/photos/primary/image, download the avatar from
     * the url and store it as a file
     * @param userNode
     * @param avatarURL
     * @param avatarFileProperty
     * @throws IOException
     */
    public static void importAvatarFile(final Node userNode, final String avatarURL, final String avatarFileProperty)
        throws IOException, RepositoryException {
		}
}
