/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.group.api;

/**
 * The <code>GroupException</code> is a generic exception for all failures in the community group API.
 */
public class GroupException extends Exception {

    /** A serialVersionUID for this class. */
    private static final long serialVersionUID = -687991492884005033L;

    /**
     * Constructs a new GroupException with the specified message.
     * @param message The detailed message
     */
    public GroupException(final String message) {
        super(message);
    }

    /**
     * Constructs a new GroupException with the specified cause.
     * @param cause The cause
     */
    public GroupException(final Throwable cause) {
        super(cause);
    }

}
