/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.handlebars;

import java.io.IOException;
import java.io.StringWriter;
import java.util.Map;

import javax.servlet.ServletException;

import org.apache.sling.api.SlingHttpServletRequest;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.adobe.cq.social.handlebars.api.TemplateHelpersService;
import com.day.cq.widget.HtmlLibraryManager;
import com.github.jknack.handlebars.Handlebars;
import com.github.jknack.handlebars.Handlebars.SafeString;
import com.github.jknack.handlebars.Helper;
import com.github.jknack.handlebars.Options;

public class IncludeClientLibraryHelper implements Helper<Object> {
    private static final String CATEGORIES = "categories";
    private static final String THEME = "theme";
    private static final String JS = "js";
    private static final String CSS = "css";
    /** The Constant LOG. */
    private static final Logger LOG = LoggerFactory.getLogger(IncludeClientLibraryHelper.class);
    public static final String name = "includeClientLib";
    private final HtmlLibraryManager htmlLibraryManager;

    /**
     * Instantiates a new include helper.
     */
    public IncludeClientLibraryHelper(final HtmlLibraryManager htmlLibraryManager) {
        this.htmlLibraryManager = htmlLibraryManager;
    }

    @Override
    public CharSequence apply(final Object context, final Options options) throws IOException {
		return null;
	}

    /**
     * Include.
     * @param context the context
     * @param options the options
     * @return the safe string
     * @throws IOException Signals that an I/O exception has occurred.
     * @throws NoSuchMethodException the no such method exception
     * @throws ServletException the servlet exception
     */
    private SafeString includeClientLib(final Map<String, Object> context, final Options options) throws IOException,
        ServletException {
			return null;
		}

    private static String[] toArray(final String commaSeparatedList) {
		return null;
	}
}
