/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.handlebars;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Reference;
import org.apache.felix.scr.annotations.Service;
import org.apache.sling.api.SlingHttpServletRequest;

import com.adobe.cq.social.commons.client.api.ClientUtilities;
import com.adobe.cq.social.commons.client.api.ClientUtilityFactory;
import com.adobe.cq.social.commons.client.api.User;
import com.adobe.cq.social.handlebars.api.TemplateContextProvider;
import com.adobe.cq.social.ugcbase.SocialUtils;
import com.adobe.granite.xss.XSSAPI;

/**
 * The Class LoggedInUserContext.
 */
@Service
@Component
public class LoggedInUserContext implements TemplateContextProvider {

    /** The xss. */
    @Reference
    private XSSAPI xss;

    @Reference
    private SocialUtils socialUtils;

    @Reference
    private ClientUtilityFactory clientUtilFactory;

    /**
     * Gets the resource types.
     * @return the resource types
     */
    @Override
    public List<String> getResourceTypes() {
		return null;
	}

    /**
     * Gets the context.
     * @param request the request
     * @param resource the resource
     * @return the context
     */
    @Override
    public Map<String, Object> getContext(final SlingHttpServletRequest request,
        final Map<String, Object> contextFromResource) {
			return null;
		}

    /**
     * Gets the context key.
     * @return the context key
     */
    @Override
    public String getContextKey() {
		return null;
	}

}
