/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 *************************************************************************/

package com.adobe.cq.social.journal.search;

public interface JournalSearchPingService {

    /**
     * Ping all configured journal search engines like Technorati etc that a new post is available.
     * @param nameOfSite verbose name of journal
     * @param urlOfSite url of journal
     * @param urlOfPage url of the page that changed
     * @param urlOfSiteFeed url of RSS or Atom feed of the journal
     * @return true if the ping succeeded for all configured services
     */
    boolean ping(String nameOfSite, String urlOfSite, String urlOfPage, String urlOfSiteFeed) {
		return false;
	}
}
