/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.messaging.client.api;

import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Property;
import org.apache.felix.scr.annotations.Service;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.commons.osgi.OsgiUtil;
import org.osgi.service.component.ComponentContext;

import com.adobe.cq.social.commons.client.api.ClientUtilities;
import com.adobe.cq.social.commons.client.api.QueryRequestInfo;
import com.adobe.cq.social.commons.client.api.SocialComponent;
import com.adobe.cq.social.commons.client.api.SocialComponentFactory;
import com.adobe.cq.social.messaging.client.impl.UserChooserComponentImpl;

@Component(label = "AEM Social Communities User Chooser SocialComponent Factory")
@Service(value = SocialComponentFactory.class)
public class UserChooserSocialComponentFactory extends AbstractMessagingComponentFactory {

    /**
     * Resource type for user chooser.
     */
    public static final String RESOURCE_TYPE = "social/messaging/components/hbs/userchooser";

    private static final String DEFAULT_PAGE_SIZE_NAME = "defaultPageSize";

    private static final int DEFAULT_PAGE_SIZE_VALUE = 25;

    /** Page size of user chooser. */
    @Property(name = DEFAULT_PAGE_SIZE_NAME, intValue = DEFAULT_PAGE_SIZE_VALUE)
    private int pageSize;

    /**
     * Activate this component.
     * @param context The component context
     */
    @Override
    protected void activate(final ComponentContext context) {
	}

    @Override
    public SocialComponent getSocialComponent(final Resource resource) {
		return null;
	}

    @Override
    public SocialComponent getSocialComponent(final Resource resource, final SlingHttpServletRequest slingRequest) {
		return null;
	}

    @Override
    public SocialComponent getSocialComponent(final Resource resource, final ClientUtilities clientUtils,
        final QueryRequestInfo queryRequestInfo) {
			return null;
		}

    @Override
    public String getSupportedResourceType() {
		return null;
	}

}
