/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.scoring.api;

/**
 * ScoringException pertains to exceptions thrown within scope of scoring.
 */
public class ScoringException extends Exception {

    /**
     * default serial version id.
     */
    private static final long serialVersionUID = -5663719505701227260L;

    /**
     * Constructs Scoring exception for specific message.
     * @param message - error message for the exception
     */
    public ScoringException(final String message) {
        super(message);
    }

    /**
     * Constructs Scoring exception for specific <code>Throwable</code>.
     * @param cause - error cause for the exception
     */
    public ScoringException(final Throwable cause) {
        super(cause);
    }
}
