/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.storage.index;

import java.lang.reflect.Array;
import java.util.HashMap;
import java.util.Map;

import org.apache.sling.api.resource.Resource;

/**
 * Base implementation of the {@link IndexElement}
 */
public class BaseIndexElement implements IndexElement {

    private final Resource resource;
    /**
     * underlying map
     */
    private final Map<String, Object> properties;

    /**
     * Constructor.
     * @param resource
     */
    public BaseIndexElement(final Resource resource) {
        this.resource = resource;
        properties = new HashMap<String, Object>();
    }

    /**
     * Get the target resource.
     * @return the target resource
     */
    @Override
    public Resource getResource() {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    @Override
    public <T> T get(final String name, final Class<T> type) {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    @Override
    public void put(final String name, final Object value) {
	}

    /**
     * Converts the object to the given type.
     * @param obj object
     * @param type type
     * @return the converted object
     */
    @SuppressWarnings("unchecked")
    private <T> T convert(final Object obj, final Class<T> type) {
		return null;
	}

    /**
     * Converts the object to an array of the given type
     * @param obj the object or object array
     * @param type the component type of the array
     * @return and array of type T
     */
    private <T> T[] convertToArray(final Object obj, final Class<T> type) {
		return null;
	}

}
