/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.storage.index;

public interface CommentIndexHandlerExtension {

    /**
     * Return the resource type of the component that contains indexible comments.
     * @return the resource type of the component that contains indexible comments.
     */
    String getComponentResourceType() {
		return null;
	}

    /**
     * Return the name of the par for this component.
     * @return the name of the par for this component.
     */
    String getParName() {
		return null;
	}
}
