/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.tally;

import com.adobe.cq.social.tally.client.api.RatingSocialComponent;
import com.adobe.cq.social.tally.client.endpoints.TallyOperationsService;

/**
 * A tally that keep track of Ratings.
 * @deprecated @since AEM 6.0. Use {@link TallyOperationsService} and {@link RatingSocialComponent} instead.
 */
@Deprecated
public interface RatingComponent extends Tally<Rating> {
    /**
     * @return The maximum allowed value that ratings can have
     */
    public Float getMaximumRatingValue() {
		return null;
	}

    /**
     * @return The average user rating for this component
     */
    public Float getAverageRating() {
		return null;
	}

    /**
     * @return the formatted average rating in String
     */
    String getFormattedAverageRating() {
		return null;
	}

    /**
     * @return The URL to post the user responses to
     */
    public String getRateURL() {
		return null;
	}
}
