/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.tally.client.api;

import org.apache.commons.lang.StringUtils;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ValueMap;

import com.adobe.cq.social.commons.client.api.BaseSocialComponent;
import com.adobe.cq.social.commons.client.api.ClientUtilities;
import com.adobe.cq.social.commons.client.api.User;
import com.adobe.cq.social.tally.Response;
import com.adobe.cq.social.tally.ResponseValue;
import com.adobe.cq.social.tally.TallyConstants;

public abstract class AbstractTallyResponse extends BaseSocialComponent implements TallyResponseSocialComponent {

    private final Response<? extends ResponseValue> response;
    protected final Resource resource;

    public AbstractTallyResponse(final Resource resource, final ClientUtilities clientUtils) {
        super(resource, clientUtils);
        this.resource = resource;
        this.response = getResponseFromResource();
    }

    protected ResponseValue getResponseValue(final String response) {
		return null;
	}

    public AbstractTallyResponse(final Response<? extends ResponseValue> response, final ClientUtilities clientUtils) {
        super(response.getResource(), clientUtils);
        this.response = response;
        this.resource = response.getResource();
    }

    @Override
    public User getAuthor() {
		return null;
	}

    @Override
    public String getResponse() {
		return null;
	}

    @SuppressWarnings({"unchecked", "rawtypes"})
    private Response<ResponseValue> getResponseFromResource() {
		return null;
	}
}
