/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.granite.auth.saml.model;

import java.util.Calendar;

public abstract class AbstractRequest implements Message {

	// required
	private String id;
	private String version;
	private Calendar issueInstant;
	
	// optional
	private String destination;
	private String consent;
	private Issuer issuer;
    private String rawMessage;

	public String getId() {
		return null;
	}
	
	public void setId(String id) {
	}
	
	public String getVersion() {
		return null;
	}
	
	public void setVersion(String version) {
	}
	
	public Calendar getIssueInstant() {
		return null;
	}
	
	public void setIssueInstant(Calendar issueInstant) {
	}
	
	public String getDestination() {
		return null;
	}
	
	public void setDestination(String destination) {
	}
	
	public String getConsent() {
		return null;
	}
	
	public void setConsent(String consent) {
	}
	
	public Issuer getIssuer() {
		return null;
	}
	
	public void setIssuer(Issuer issuer) {
	}
	
	public boolean hasIssuer() {
		return false;
	}

	public boolean hasConsent() {
		return false;
	}
	
	public boolean hasDestination() {
		return false;
	}

    public void setRawMessage(String rawMessage) {
	}

    public String getRawMessage() {
		return null;
	}
}
