/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.granite.translation.core;

public interface MachineTranslationCloudConfig {

    public static final String PROPERTY_DEFAULT_TRANSLATION_PROVIDER = "defaultTranslationProvider";
    public static final String PROPERTY_DEFAULT_CATEGORY = "defaultCategory";
    public static final String PROPERTY_UGC_PATH = "ugcPath";

    public static final String RESOURCE_TYPE = "cq/translation/components/mt-cloudconfig";

    String getDefaultTranslationProvider() {
		return null;
	}

    String getDefaultCategory() {
		return null;
	}

    String getUgcPath() {
		return null;
	}

}