/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.granite.ui.components;

/**
 * Utility class for form field components
 */
public class Field {

    /**
     * The name of the CSS class to apply in order to hide empty field components in default mode
     */
    public static String HIDE_IN_DEFAULT_CLASS = "foundation-field-hide-in-default";

    /**
     * Get the CSS class or space separated class names that have to be applied to the root element of field component.
     * The provided class allows for example to hide empty field components in read only mode.
     * @param cfg The config object of the field component
     * @param isEmpty Indicate if the field is empty
     * @return The CSS class to apply
     */
    public static String getRootClass(Config cfg, boolean isEmpty) {
		return null;
	}

    /**
     * Get the CSS class or space separated class names that have to be applied to the root element of field component.
     * The provided class allows for example to hide empty field components in read only mode.
     * @param cfg The config object of the field component
     * @param value The value of the field component
     * @return The CSS class
     */
    public static String getRootClass(Config cfg, String value) {
		return null;
	}

}
