/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 ************************************************************************/

package com.adobe.granite.ui.components.formbuilder;

import org.apache.sling.api.resource.Resource;

import java.util.HashMap;

public interface FormResourceManager {

    /**
     * Returns a generic FormField resource
     *
     * @return
     */
    Resource getFormFieldResource(Resource formResource) {
		return null;
	}

    /**
     * Returns a generic FormField resource
     *
     * @return
     */
    Resource getFormFieldResource(Resource formResource, String label) {
		return null;
	}


    /**
     * Returns a generic FormField resource
     *
     * @return
     */
    Resource getFormDropdownResource(Resource formResource) {
		return null;
	}

    /**
     * Returns a dropdown option resource
     *
     * @return
     */
    Resource getDropdownOptionResource(Resource formResource) {
		return null;
	}

    /**
     * Returns a dropdown option resource
     *
     * @return
     */
    Resource getCheckboxFieldResource(Resource formResource) {
		return null;
	}

    /**
     * Returns a dropdown option resource
     *
     * @return
     */
    Resource getCheckboxFieldResource(Resource formResource, String label) {
		return null;
	}

    /**
     * Returns a date resource
     *
     * @return
     */
    Resource getDateFieldResource(Resource formResource) {
		return null;
	}

    /**
     * Returns a default date resource
     *
     * @return
     */
    Resource getDefaultDateResource(Resource formResource) {
		return null;
	}

    /**
     * Returns a default date resource
     *
     * @return
     */
    Resource getDefaultDateResource(Resource formResource, String label) {
		return null;
	}

    /**
     * Returns a form resource
     *
     * @return
     */
    Resource getHiddenFieldResource(Resource formResource) {
		return null;
	}

    /**
     * Returns a default date resource
     *
     * @return
     */
    Resource getDefaultPropertyFieldResource(Resource formResource, HashMap<String, Object> values) {
		return null;
	}

    /**
     * Returns the field template id used by external resources
     *
     * @return
     */
    String getFieldTemplateID() {
		return null;
	}

    /**
     * Returns the dropdown option key used by external resources
     *
     * @return
     */
    String getOptionTemplateID() {
		return null;
	}

    /**
     * Returns the list order key used by external resources
     *
     * @return
     */
    String getOrderKey() {
		return null;
	}


}
