/*
 * Copyright 1997-2010 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.activitystreams.api;

import org.apache.sling.commons.json.JSONException;
import org.apache.sling.commons.json.JSONObject;

/**
 * @deprecated See {@link com.adobe.granite.activitystreams.Activity}.
 */
public interface ActivityObject {

    /**
     * Gets the title
     *
     * @return The title
     */
    public String getTitle() {
		return null;
	}

    /**
     * Sets the title
     *
     * @param title The new title
     * @return The updated <code>ActivityObject</code>
     */
    public ActivityObject setTitle(String title) {
		return null;
	}

    /**
     * Gets the link
     *
     * @return The link
     */
    public String getLink() {
		return null;
	}

    /**
     * Sets the link
     *
     * @param link The new link
     * @return The updated <code>ActivityObject</code>
     */
    public ActivityObject setLink(String link) {
		return null;
	}

    /**
     * Gets the source
     *
     * @return The source
     */
    public String getSource() {
		return null;
	}

    /**
     * Sets the source
     *
     * @param source The new source
     * @return The updated <code>ActivityObject</code>
     */
    public ActivityObject setSource(String source) {
		return null;
	}

    /**
     * Gets the type
     *
     * @return The type
     */
    public String getType() {
		return null;
	}

    /**
     * Sets the type
     *
     * @param type The new type
     * @return The updated <code>ActivityObject</code>
     */
    public ActivityObject setType(String type) {
		return null;
	}

    /**
     * Gets the property value based on a property name (generic getter).
     * @param name The name of the property
     * @return The property value. Null if property does not exist.
     */
    public String getProperty(String name) {
		return null;
	}

    /**
     * Sets the property value based on a property name (generic setter).
     * @param name The name of the property
     * @param value The value of the property
     * @return The updated <code>ActivityObject</code>
     */
    public ActivityObject setProperty(String name, String value) {
		return null;
	}
    
    /**
     * Gets the <code>JSONObject</code> representing the activity object.
     *
     * @return The JSON object
     */
    public JSONObject toJSON() throws JSONException {
		return null;
	}
}
