/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and may be covered by U.S. and Foreign Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.analytics;

import java.util.Map;

import org.apache.sling.api.resource.Resource;

/**
 * @deprecated This interface will be removed in future versions and has no
 *             default implementation anymore. Use
 *             {@link com.day.cq.wcm.webservicesupport.Configuration} instead.
 * @see {@link com.day.cq.wcm.webservicesupport.Configuration}
 */
@Deprecated
public interface Account {

    /**
     * Returns base path of the account.
     * 
     * @return Path of parent node
     */
    String getAccountsBase() {
		return null;
	}

    /**
     * Returns if {@link Account} is valid. The implementation may check for
     * certain properties to be present to mark an {@link Account} as valid.
     * 
     * @return
     */
    Boolean isValid() {
		return null;
	}

    /**
     * Returns if {@link Account} is new. The {@link Account} is new if there is
     * no underlying {@link Resource}.
     * 
     * @return
     */
    Boolean isNew() {
		return null;
	}

    /**
     * Returns {@link Resource}.
     * 
     * @return
     */
    Resource getResource() {
		return null;
	}

    /**
     * Returns the resource path.
     * 
     * @return
     */
    String getPath() {
		return null;
	}

    /**
     * Returns property value specified by <code>name</code>.
     * 
     * @param name
     * @return
     */
    String getProperty(String name) {
		return null;
	}

    /**
     * Sets property value specified by <code>name</code>
     * 
     * @param name
     * @param value
     */
    void setProperty(String name, String value) {
	}

    /**
     * Returns a {@link Map} of all resource properties.
     * 
     * @return
     */
    Map<String, Object> getProperties() {
		return null;
	}

}
