/*
 * Copyright 1997-2009 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.commons;

import com.day.crx.License;

/**
 * <code>ProductInfoService</code> provides information about product name,
 * version, etc.
 * 
 * @deprecated CQ 5.6 - Use the granite license and product info services instead.
 */
@Deprecated
public interface ProductInfoService {

    /**
     * Returns the product information of the system.
     *
     * @return the product info or <code>null</code> if not found.
     */
    ProductInfo getInfo() {
		return null;
	}

    /**
     * Returns the product or project information with the given name.
     * if <code>name</code> is <code>null</code> or the empty string,
     * the information about the system is returned (i.e. <code>this</code>).
     *
     * @param name name of the project or application to retrieve the info for.
     * @return the product info or <code>null</code> if not found.
     */
    ProductInfo getInfo(String name) {
		return null;
	}

    /**
     * Returns the (CRX) license.
     * @return the license or <code>null</code> if not available.
     */
    License getLicense() {
		return null;
	}

    /**
     * Short cut to getLicense().getDownloadId().
     * @return the license id or <code>null</code> if not available.
     */
    String getLicenseId() {
		return null;
	}

}