/*
 * Copyright 1997-2010 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.commons;

import java.util.Collection;
import java.util.Map;
import java.util.Set;

import org.apache.sling.api.resource.ValueMap;

/**
 * Convenience base class for {@link ValueMap} implementations that
 * need to wrap an existing ValueMap instance.
 *
 */
public abstract class ValueMapWrapper implements ValueMap {
    
    private ValueMap base;
    
    public ValueMapWrapper(ValueMap map) {
        this.base = map;
    }

    public <T> T get(String name, Class<T> type) {
		return null;
	}

    public <T> T get(String name, T defaultValue) {
		return null;
	}

    public int size() {
		return 0;
	}

    public boolean isEmpty() {
		return false;
	}

    public boolean containsKey(Object key) {
		return false;
	}

    public boolean containsValue(Object value) {
		return false;
	}

    public Object get(Object key) {
		return null;
	}

    public Object put(String key, Object value) {
		return null;
	}

    public Object remove(Object key) {
		return null;
	}

    public void putAll(Map<? extends String, ?> t) {
	}

    public void clear() {
	}

    public Set<String> keySet() {
		return null;
	}

    public Collection<Object> values() {
		return null;
	}

    public Set<Entry<String, Object>> entrySet() {
		return null;
	}

    @Override
    public String toString() {
		return null;
	}
}
