/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.dam.commons.metadata;

import com.adobe.xmp.XMPMeta;
import com.adobe.xmp.XMPIterator;
import com.adobe.xmp.XMPException;
import com.adobe.xmp.XMPMetaFactory;
import com.adobe.xmp.XMPDateTime;
import com.adobe.xmp.XMPDateTimeFactory;
import com.adobe.xmp.properties.XMPPropertyInfo;
import com.day.cq.dam.api.metadata.ExtractedMetadata;
import com.day.cq.dam.api.metadata.xmp.XmpMappings;
import com.day.cq.dam.commons.util.DateParser;

import javax.jcr.Node;
import javax.jcr.RepositoryException;
import javax.jcr.Session;
import javax.jcr.NodeIterator;
import javax.jcr.Property;
import javax.jcr.PropertyType;
import javax.jcr.NamespaceException;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.apache.commons.io.IOUtils;
import org.apache.jackrabbit.util.Text;

import java.util.Set;
import java.util.Calendar;
import java.util.Date;
import java.io.ByteArrayInputStream;
import java.io.IOException;

/**
 * The <code>XmpToJcrMetadataBuilder</code> class ...
 * not in use
 */
public class XmpToJcrMetadataBuilder {

    /**
     * the default logger
     */
    private static final Logger log = LoggerFactory.getLogger(XmpToJcrMetadataBuilder.class);

    public static final String VALUE_NODE_NAME = "value";
    public static final String PN_NAMESPACE = "namespace";
    public static final String PN_VALUE = "value";
    public static final String NT_XMP_PROPERTY = "xmp:Property";
    public static final String NT_XMP_STRUCT = "xmp:Struct";
    public static final String NT_XMP_SIMPLE = "xmp:Simple";
    public static final String NT_RDF_BAG = "rdf:Bag";
    public static final String NT_RDF_SEQ = "rdf:Seq";
    public static final String NT_RDF_ALT = "rdf:Alt";

    public void storeXmp(Node metadataRoot, XMPMeta meta) throws XMPException, RepositoryException {
	}

    public XMPMeta getXmpFromJcr(Node metadataRoot) throws RepositoryException, XMPException {
		return null;
	}

    public void storeAsXmp(ExtractedMetadata metadata, Node metadataRoot) throws XMPException, RepositoryException {
	}

    private void setXmpProperty(XMPMeta meta, String xmpKey, Object value) throws XMPException {
	}

    private String[] getXmpKeys(String keyString) {
		return null;
	}

    private String getNamespace(String xmpKey) {
		return null;
	}

    private Node getOrCreateNode(Session session, String path, String nodetype) throws RepositoryException {
		return null;
	}

    private static String getPath(XMPPropertyInfo prop, String parent) {
		return null;
	}

    private void setProperty(Node node, XMPPropertyInfo prop) {
	}

    private Object checkForDate(Object val) {
		return null;
	}

    private Object getValue(Node value) {
		return null;
	}

    private void checkNamespace(XMPPropertyInfo prop, Node metadataRoot) throws RepositoryException {
	}
}
