/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.dam.commons.thumbnail;

import java.awt.Color;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Calendar;
import java.util.List;

import javax.jcr.Node;
import javax.jcr.RepositoryException;

import org.apache.commons.io.IOUtils;

import com.day.cq.commons.jcr.JcrConstants;
import com.day.cq.dam.api.DamConstants;
import com.day.image.Layer;

/**
 * The <code>ThumbnailCreator</code> class ...
 * @deprecated since 6.0, use {@link com.day.cq.dam.api.renditions.RenditionMaker} service instead
 */
@Deprecated
public class ThumbnailCreator {

    /**
     * This method creates all "needed" thumbnails.
     *
     * @param image
     *            picture file to create thumbnails from
     * @param renditionsFolder
     *            asset renditions folder node
     *
     * @param thumbnailConfigurations
     *
     * @throws java.io.IOException
     * @throws javax.jcr.RepositoryException
     */
    public void createThumbnails(BufferedImage image, Node renditionsFolder,
                                 List<ThumbnailConfig> thumbnailConfigurations)
            throws IOException, RepositoryException {
			}

    /**
     * A thumbnail with the given <code>maxWith</code> and <code>maxHeight</code>
     * is generated out if the <code>image</code> source.
     *
     * @param image image source
     * @param maxWidth max. thumbnail width
     * @param maxHeight max. thumbnail height
     * @param extension file extension of (original asset). only used for the gif use case...//todo
     * @param doCenter <code>true</code> to center thumbnail
     * @return "thumbnailed" image as layer
     */
    public Layer creatThumbnail(BufferedImage image, int maxWidth, int maxHeight,
                                String extension, boolean doCenter) {
									return null;
								}

    public ThumbnailConfig createThumbnailConfig() {
		return null;
	}

    /**
     * Thumbnail setter
     *
     * @param renditionsFolder
     *            asset renditions folder node
     * @param in
     *            thumbnail file input stream
     * @param thumbnailConf
     *
     * @throws RepositoryException
     */
    private void setThumbnail(Node renditionsFolder, InputStream in, ThumbnailConfig thumbnailConf)
            throws RepositoryException {
			}

    /**
     * Create thumbnail name // TODO: this naming generator might be moved to some more common place
     * @param conf
     * @return
     */
    private String getThumbnailName(ThumbnailConfig conf) {
		return null;
	}

    /**
     * Todo: realy, realy needed?
     * @param node
     * @return
     * @throws RepositoryException
     */
    private String getExtension(Node node) throws RepositoryException {
		return null;
	}



    public class ThumbnailConfig {
        private int width;
        private int height;
        private boolean doCenter = true;


        public int getWidth() {
			return 0;
		}

        public void setWidth(int width) {
		}

        public int getHeight() {
			return 0;
		}

        public void setHeight(int height) {
		}

        public boolean isDoCenter() {
			return false;
		}

        public void setDoCenter(boolean doCenter) {
		}
    }
}
