/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *************************************************************************/
package com.day.cq.dam.core.process;

import com.adobe.granite.offloading.api.OffloadingJobProperties;
import com.adobe.granite.offloading.workflow.api.WorkflowOffloadingHelper;
import com.adobe.granite.offloading.workflow.api.WorkflowOffloadingProcessArguments;
import com.adobe.granite.offloading.workflow.api.WorkflowOffloadingProperties;
import com.adobe.granite.workflow.WorkflowException;
import com.adobe.granite.workflow.WorkflowSession;
import com.adobe.granite.workflow.exec.WorkItem;
import com.adobe.granite.workflow.exec.WorkflowExternalProcess;
import com.adobe.granite.workflow.metadata.MetaDataMap;
import com.day.cq.dam.api.Asset;
import com.day.cq.dam.commons.util.DamUtil;
import org.apache.commons.lang.StringUtils;
import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Reference;
import org.apache.felix.scr.annotations.Service;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ResourceResolver;
import org.apache.sling.api.resource.ValueMap;
import org.apache.sling.api.wrappers.ValueMapDecorator;
import org.apache.sling.event.jobs.Job;
import org.apache.sling.event.jobs.JobManager;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * This component implements an workflow external step, that allows offloading asset based workflows, means workflows
 * that have an asset on the payload.
 * <p/>
 * The workflow (model) to offload must be set on the step metadata using the <code>workflowModel</code> argument.
 * <p/>
 */
@Component
@Service
public class AssetOffloadingProcess implements WorkflowExternalProcess {

    private static final String TYPE_JCR_PATH = "JCR_PATH";

    private final Logger log = LoggerFactory.getLogger(getClass());

    /**
     * The available arguments to this process implementation.
     */
    public enum Arguments {
        INCLUDE_MIME_TYPES;
    }
    @Reference
    private JobManager jobManager;

    public Serializable execute(WorkItem item, WorkflowSession wfSession, MetaDataMap arguments) throws WorkflowException {
		return null;
	}

    public boolean hasFinished(Serializable externalProcessId, WorkItem item, WorkflowSession session, MetaDataMap arguments) {
		return false;
	}

    public void handleResult(Serializable externalProcessId, WorkItem workItem, WorkflowSession session, MetaDataMap arguments) throws WorkflowException {
	}

    protected Asset getAsset(WorkItem item, WorkflowSession wfSession, MetaDataMap arguments) {
		return null;
	}

    private ValueMap getAllJobProperties(Asset asset, WorkItem item, MetaDataMap arguments) throws WorkflowException {
		return null;
	}
    
    private boolean doProcess(final Asset asset,final String[] includeMimeTypes) {
		return false;
	}


}
