/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.dam.handler.standard.mp3;

import com.day.cq.dam.api.Asset;
import com.day.cq.dam.api.Rendition;
import com.day.cq.dam.api.metadata.ExtractedMetadata;
import com.day.cq.dam.commons.handler.AbstractAssetHandler;
import com.day.image.Font;
import com.day.image.Layer;
import de.vdheide.mp3.MP3File;
import org.apache.commons.io.IOUtils;
import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Service;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.awt.Color;
import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;

/**
 * The <code>Mp3Handler</code> class ...
 */
@Component(inherit = true, metatype = false)
@Service
public class Mp3Handler extends AbstractAssetHandler {

    /**
     * the default logger
     */
    private static final Logger log = LoggerFactory.getLogger(Mp3Handler.class);

    /**
     * Mime type
     */
    public static final String CONTENT_MIMETYPE = "audio/mpeg";

    /**
     * Music icon margin
     */
    private static final int MARGIN = 10;

    public ExtractedMetadata extractMetadata(final Asset asset) {
		return null;
	}

    public BufferedImage getImage(final Rendition rendition) throws IOException {
		return null;
	}

    public String[] getMimeTypes() {
		return null;
	}
}
