package com.day.cq.mcm.campaign;

import com.day.cq.i18n.I18n;
import org.apache.sling.api.resource.Resource;

/**
 * Service for retrieving the current status of a newsletter from a Adobe Campaign instance.
 */
public interface StatusService {

    /**
     * Retrieves the status of the newsletter represented by the specified @link Resource}.
     *
     * @param resource The resource representing the newsletter
     * @param i18n The internationalization object
     * @return The status of the newsletter
     * @throws ACConnectorException if the status could not be retrieved
     */
    NewsletterStatus retrieveStatus(Resource resource, I18n i18n)
            throws ACConnectorException {
		return null;
	}

}
