/*
 * Copyright 1997-2011 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.opensocial.modules;

import org.apache.commons.io.IOUtils;
import org.apache.commons.lang.StringUtils;
import org.apache.shindig.common.crypto.BlobCrypter;
import org.apache.shindig.common.util.ResourceLoader;
import org.apache.shindig.gadgets.oauth.BasicOAuthStore;
import org.apache.shindig.gadgets.oauth.BasicOAuthStoreConsumerKeyAndSecret;
import org.apache.shindig.gadgets.oauth.OAuthFetcherConfig;
import org.apache.shindig.gadgets.oauth.OAuthModule.OAuthCrypterProvider;
import org.apache.shindig.gadgets.oauth.OAuthModule.OAuthRequestProvider;
import org.apache.shindig.gadgets.oauth.OAuthRequest;
import org.apache.shindig.gadgets.oauth.OAuthStore;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.google.inject.AbstractModule;
import com.google.inject.Inject;
import com.google.inject.Provider;
import com.google.inject.Singleton;
import com.google.inject.name.Named;
import com.google.inject.name.Names;

/**
 * Loads pre-reqs for OAuth.
 * @deprecated This class will be removed from a future version of the product.
 */
@Deprecated
public class CQOAuthModule extends AbstractModule {

    private static final Logger log = LoggerFactory.getLogger(CQOAuthModule.class);

    private static final String OAUTH_CONFIG = "config/oauth.json";
    private static final String OAUTH_SIGNING_KEY_FILE = "shindig.signing.key-file";
    private static final String OAUTH_SIGNING_KEY_NAME = "shindig.signing.key-name";
    private static final String OAUTH_CALLBACK_URL = "shindig.signing.global-callback-url";

    @Override
    protected void configure() {
	}

    @Singleton
    public static class CQOAuthStoreProvider implements Provider<OAuthStore> {

        private final BasicOAuthStore store;

        @Inject
        public CQOAuthStoreProvider(@Named(OAUTH_SIGNING_KEY_FILE) String signingKeyFile,
            @Named(OAUTH_SIGNING_KEY_NAME) String signingKeyName, @Named(OAUTH_CALLBACK_URL) String defaultCallbackUrl) {
            store = new BasicOAuthStore();
            loadDefaultKey(signingKeyFile, signingKeyName);
            store.setDefaultCallbackUrl(defaultCallbackUrl);
            loadConsumers();
        }

        private void loadDefaultKey(String signingKeyFile, String signingKeyName) {
		}

        private void loadConsumers() {
		}

        public OAuthStore get() {
			return null;
		}
    }

}
