/*
 * Copyright 1997-2010 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */

package com.day.cq.reporting;

/**
 * This interface must be implemented by the definition of each
 */
public interface ExtractorDef {

    /**
     * Determines if the represented value has to be handled as multi-valued.
     *
     * @return <code>true</code> if the represented value is multi-valued
     */
    boolean isMultiValue() {
		return false;
	}

}
