/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.rewriter.processor;

import java.io.IOException;
import java.io.PrintWriter;

import org.xml.sax.ContentHandler;

/**
 * A <code>Processor</code> post processes the output.
 * @deprecated Use the Apache Sling Rewriter Module (org.apache.sling.rewriter.Processor)
 */
@Deprecated
public interface Processor {

    /**
     * Initialize this component.
     * @param context The invocation context.
     * @param config The configuration for this component.
     */
    void init(ProcessingContext context,
              ProcessorConfiguration config)
    throws IOException {
	}

    /**
     * Get the writer to write the output to.
     * @return A print writer.
     */
    PrintWriter getWriter() {
		return null;
	}

    /**
     * Get the content handler to write the output to.
     * @return A content handler
     */
    ContentHandler getContentHandler() {
		return null;
	}

    /**
     * Clean up the processor.
     * This method should always be called after a processor run, regardless if it was successfull or failed.
     */
    void finished() throws IOException {
	}
}
