/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.search.eval;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import javax.jcr.query.Row;

import org.apache.felix.scr.annotations.Component;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.day.cq.search.Predicate;
import com.day.cq.search.PredicateGroup;
import com.day.cq.search.facets.FacetExtractor;

/**
 * <code>PredicateGroupEvaluator</code> handles {@link PredicateGroup} predicates.
 * 
 * <h3>Name:</h3>
 * group
 * 
 * @since 5.2
 */
@Component(metatype = false, factory="com.day.cq.search.eval.PredicateEvaluator/group")
public class PredicateGroupEvaluator extends AbstractPredicateEvaluator {

    private static final Logger log = LoggerFactory.getLogger(PredicateGroupEvaluator.class);
    
    protected static String FORCED_FILTERING = PredicateGroupEvaluator.class.getName() + "forced-filtering";
    protected static String UNSUPPORTED_FILTER_WARNING_GIVEN = PredicateGroupEvaluator.class.getName() + ".filter-warning";
    
    protected String getOpeningBracket() {
		return null;
	}

    protected String getClosingBracket() {
		return null;
	}

    @Override
    public String getXPathExpression(Predicate p, EvaluationContext context) {
		return null;
	}
    
    @Override
    public boolean includes(Predicate p, Row row, EvaluationContext context) {
		return false;
	}
    
    private boolean andInclude(PredicateGroup group, Row row, EvaluationContext context) {
		return false;
	}
    
    private boolean orInclude(PredicateGroup group, Row row, EvaluationContext context) {
		return false;
	}


    protected boolean isForcedFiltering(PredicateGroup group, EvaluationContext context) {
		return false;
	}

    @Override
    public boolean canXpath(Predicate predicate, EvaluationContext context) {
		return false;
	}

    @Override
    public boolean canFilter(Predicate predicate, EvaluationContext context) {
		return false;
	}

    public String listFilteringPredicates(PredicateGroup group, EvaluationContext context) {
		return null;
	}
    
    @Override
    public FacetExtractor getFacetExtractor(Predicate predicate, EvaluationContext context) {
		return null;
	}

}
