/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.wcm.siteimporter;

public interface ImporterStep {
    public static final String HEADING_CLASS = "heading";
    public static final String ERROR_CLASS = "error";
    public static final String SKIP_CLASS = "skip";

    public static final String TEMPLATES_FOLDER = "templates";
    public static final String COMPONENTS_FOLDER = "components";

    public final static String DESIGN_RESOURCES = "resources";
    public final static String DEV_RESOURCES = "dev";

    public Integer getOrder() {
		return null;
	}
    
    public boolean execute(ImporterContext ctx) {
		return false;
	}
}
