/*
 * Copyright 1997-2010 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.wcm.tags;

import java.io.IOException;

import javax.servlet.ServletRequest;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.TagSupport;

import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.scripting.SlingBindings;
import org.apache.sling.scripting.jsp.util.TagUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.day.cq.widget.HtmlLibraryManager;

/**
 * Implements the <code>&lt;cq:includeClientLib/&gt;</code> tag, a convenience
 * wrapper for the {@link HtmlLibraryManager} service.
 * 
 * @deprecated Use {@link com.adobe.granite.ui.IncludeClientLibraryTag} and <code>&lt;grnt-ui:includeClientLib/&gt;</code> tag
 */
@Deprecated
public class IncludeClientLibraryTag extends TagSupport {
    
    private static final long serialVersionUID = -3068291967085012331L;

    private static final Logger log = LoggerFactory.getLogger(IncludeClientLibraryTag.class);

    private String categories;
    private String js;
    private String css;
    private String theme;
    private Boolean themed;

    @Override
    public void setPageContext(PageContext pageContext) {
	}

    public void setCategories(String categories) {
	}
    
    public void setJs(String js) {
	}
    
    public void setCss(String css) {
	}
    
    public void setTheme(String theme) {
	}
    
    public void setThemed(boolean themed) {
	}

    @Override
    public int doEndTag() throws JspException {
		return 0;
	}

    private HtmlLibraryManager getHtmlLibraryManager(ServletRequest request) {
		return null;
	}
    
    private static String[] toArray(String commaSeparatedList) {
		return null;
	}
}
