/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.workflow.util;

import com.adobe.granite.workflow.job.ExternalProcessJob;
import com.day.cq.workflow.WorkflowException;
import com.day.cq.workflow.WorkflowSession;
import com.day.cq.workflow.exec.HistoryItem;
import com.day.cq.workflow.exec.Workflow;
import com.adobe.granite.workflow.job.TimeoutJob;
import com.adobe.granite.workflow.job.WorkflowJob;
import com.day.cq.workflow.model.WorkflowModel;
import org.apache.sling.event.JobStatusProvider;
import org.osgi.service.event.Event;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;

/**
 * The <code>WorkflowUtil</code> class ...
 */
public abstract class WorkflowUtil {

    /**
	 * Logger instance for this class.
	 */
	private static final Logger log = LoggerFactory
            .getLogger(WorkflowUtil.class);

    public static Collection<Event> getEvents(JobStatusProvider jobStatusProvider, WorkflowSession wfSession) {
		return null;
	}

    public static boolean isStale(Workflow workflow, Collection<Event> wfJobs) {
		return false;
	}

    /**
     * This method returns the userId of the  user who completed the previous step.
     *
     * @param session workflow session
     * @param workflow workflow instance
     * @param nodeId node id of workflow node in question
     * @return user id as string or <code>null</code> if no user could be matched
     * @throws WorkflowException
     */
    public static String getAuthorizableFromLastStep(WorkflowSession session,
                                                           Workflow workflow,
                                                           String nodeId) throws WorkflowException {
															return null;
														}
}
