/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.crx.sc.api;

import java.util.LinkedHashSet;
import java.util.Map;
import java.util.Set;

import javax.jcr.RepositoryException;
import javax.jcr.observation.Event;
import javax.jcr.observation.EventIterator;
import javax.jcr.observation.EventListener;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.adobe.cq.social.ugc.api.UgcNodeIndexerExtension;
import com.adobe.cq.social.ugc.impl.LuceneUgcSearch;

public class SearchUpdater implements EventListener {

    private static final Logger log = LoggerFactory.getLogger(SearchUpdater.class);

    private final SearchCollection collection;

    private final UgcNodeIndexerExtension indexerExtension;

    public SearchUpdater(final SearchCollection collection) {
        this(collection, null);
    }

    public SearchUpdater(final SearchCollection collection, final UgcNodeIndexerExtension indexerExtension) {
        super();
        this.collection = collection;
        this.indexerExtension = indexerExtension;
    }

    @Override
    public void onEvent(final EventIterator events) {
	}

    private boolean eventRequiresReindex(final Event eventToCheck) {
		return false;
	}

}
