/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.crx.sc.qom;

import javax.jcr.RepositoryException;
import javax.jcr.Value;
import javax.jcr.query.InvalidQueryException;
import javax.jcr.query.qom.And;
import javax.jcr.query.qom.BindVariableValue;
import javax.jcr.query.qom.ChildNode;
import javax.jcr.query.qom.ChildNodeJoinCondition;
import javax.jcr.query.qom.Column;
import javax.jcr.query.qom.Comparison;
import javax.jcr.query.qom.Constraint;
import javax.jcr.query.qom.DescendantNode;
import javax.jcr.query.qom.DescendantNodeJoinCondition;
import javax.jcr.query.qom.DynamicOperand;
import javax.jcr.query.qom.EquiJoinCondition;
import javax.jcr.query.qom.FullTextSearch;
import javax.jcr.query.qom.FullTextSearchScore;
import javax.jcr.query.qom.Join;
import javax.jcr.query.qom.JoinCondition;
import javax.jcr.query.qom.Length;
import javax.jcr.query.qom.Literal;
import javax.jcr.query.qom.LowerCase;
import javax.jcr.query.qom.NodeLocalName;
import javax.jcr.query.qom.NodeName;
import javax.jcr.query.qom.Not;
import javax.jcr.query.qom.Or;
import javax.jcr.query.qom.Ordering;
import javax.jcr.query.qom.PropertyExistence;
import javax.jcr.query.qom.PropertyValue;
import javax.jcr.query.qom.QueryObjectModelConstants;
import javax.jcr.query.qom.QueryObjectModelFactory;
import javax.jcr.query.qom.SameNode;
import javax.jcr.query.qom.SameNodeJoinCondition;
import javax.jcr.query.qom.Selector;
import javax.jcr.query.qom.Source;
import javax.jcr.query.qom.StaticOperand;
import javax.jcr.query.qom.UpperCase;

public abstract class AbstractQueryObjectModelFactory implements QueryObjectModelFactory {

    @Override
    public Selector selector(final String nodeTypeName, final String selectorName) throws InvalidQueryException,
        RepositoryException {
			return null;
		}

    @Override
    public Join join(final Source left, final Source right, final String joinType, final JoinCondition joinCondition)
        throws InvalidQueryException, RepositoryException {
			return null;
		}

    @Override
    public EquiJoinCondition equiJoinCondition(final String selector1Name, final String property1Name,
        final String selector2Name, final String property2Name) throws InvalidQueryException, RepositoryException {
			return null;
		}

    @Override
    public SameNodeJoinCondition sameNodeJoinCondition(final String selector1Name, final String selector2Name,
        final String selector2Path) throws InvalidQueryException, RepositoryException {
			return null;
		}

    @Override
    public ChildNodeJoinCondition childNodeJoinCondition(final String childSelectorName,
        final String parentSelectorName) throws InvalidQueryException, RepositoryException {
			return null;
		}

    @Override
    public DescendantNodeJoinCondition descendantNodeJoinCondition(final String descendantSelectorName,
        final String ancestorSelectorName) throws InvalidQueryException, RepositoryException {
			return null;
		}

    @Override
    public And and(final Constraint constraint1, final Constraint constraint2) throws InvalidQueryException,
        RepositoryException {
			return null;
		}

    @Override
    public Or or(final Constraint constraint1, final Constraint constraint2) throws InvalidQueryException,
        RepositoryException {
			return null;
		}

    @Override
    public Not not(final Constraint constraint) throws InvalidQueryException, RepositoryException {
		return null;
	}

    @Override
    public Comparison comparison(final DynamicOperand operand1, final String operator, final StaticOperand operand2)
        throws InvalidQueryException, RepositoryException {
			return null;
		}

    @Override
    public PropertyExistence propertyExistence(final String selectorName, final String propertyName)
        throws InvalidQueryException, RepositoryException {
			return null;
		}

    @Override
    public FullTextSearch fullTextSearch(final String selectorName, final String propertyName,
        final StaticOperand fullTextSearchExpression) throws InvalidQueryException, RepositoryException {
			return null;
		}

    @Override
    public SameNode sameNode(final String selectorName, final String path) throws InvalidQueryException,
        RepositoryException {
			return null;
		}

    @Override
    public ChildNode childNode(final String selectorName, final String path) throws InvalidQueryException,
        RepositoryException {
			return null;
		}

    @Override
    public DescendantNode descendantNode(final String selectorName, final String path) throws InvalidQueryException,
        RepositoryException {
			return null;
		}

    @Override
    public PropertyValue propertyValue(final String selectorName, final String propertyName)
        throws InvalidQueryException, RepositoryException {
			return null;
		}

    @Override
    public Length length(final PropertyValue propertyValue) throws InvalidQueryException, RepositoryException {
		return null;
	}

    @Override
    public NodeName nodeName(final String selectorName) throws InvalidQueryException, RepositoryException {
		return null;
	}

    @Override
    public NodeLocalName nodeLocalName(final String selectorName) throws InvalidQueryException, RepositoryException {
		return null;
	}

    @Override
    public FullTextSearchScore fullTextSearchScore(final String selectorName) throws InvalidQueryException,
        RepositoryException {
			return null;
		}

    @Override
    public LowerCase lowerCase(final DynamicOperand operand) throws InvalidQueryException, RepositoryException {
		return null;
	}

    @Override
    public UpperCase upperCase(final DynamicOperand operand) throws InvalidQueryException, RepositoryException {
		return null;
	}

    @Override
    public BindVariableValue bindVariable(final String bindVariableName) throws InvalidQueryException,
        RepositoryException {
			return null;
		}

    @Override
    public Literal literal(final Value literalValue) throws InvalidQueryException, RepositoryException {
		return null;
	}

    @Override
    public Ordering ascending(final DynamicOperand operand) throws InvalidQueryException, RepositoryException {
		return null;
	}

    @Override
    public Ordering descending(final DynamicOperand operand) throws InvalidQueryException, RepositoryException {
		return null;
	}

    @Override
    public Column column(final String selectorName, final String propertyName, final String columnName)
        throws InvalidQueryException, RepositoryException {
			return null;
		}

}
