/*******************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 ******************************************************************************/
package io.sightly.java.api;

import java.util.Dictionary;

import org.osgi.service.component.ComponentContext;

/**
 * Component-based implementation for extensions
 */
public abstract class ExtensionComponent implements RuntimeExtension {

    public static final String NAME = "name";

    private String name;

    @Override
    public String name() {
		return null;
	}

    @SuppressWarnings("UnusedDeclaration")
    protected void activate(ComponentContext componentContext) {
	}

    protected void checkArgumentCount(Object[] arguments, int count) {
	}

    protected void checkArguments(Object[] arguments, Class<?> ... classes) {
	}
}
