/*******************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 ******************************************************************************/
package io.sightly.java.api;

/**
 * Exceptions caused by the Sightly engine
 */
public class SightlyEngineException extends RuntimeException {

    public SightlyEngineException() {
    }

    public SightlyEngineException(String message) {
        super(message);
    }

    public SightlyEngineException(String message, Throwable cause) {
        super(message, cause);
    }

    public SightlyEngineException(Throwable cause) {
        super(cause);
    }
}
