/*******************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 ******************************************************************************/

package io.sightly.java.api;

/**
 * Runtime interface provided to Sightly scripts
 */
public interface SightlyRuntime {

    /**
     * Call the specified function name with the given arguments
     * @param functionName - the name of the called function
     * @param arguments - 0 or more arguments passed to the function
     * @return - the object returned by the function
     * @throws SightlyRenderException - if the function was
     * not defined
     */
    Object call(String functionName, Object ... arguments) {
		return null;
	}

}
